searchData={"content_type":"text/markdown","items":[{"doc":"","ref":"Tentacat.html","title":"Tentacat","type":"module"},{"doc":"Take an existing URI and add addition params, appending and replacing as necessary.","ref":"Tentacat.html#add_params_to_url/2","title":"Tentacat.add_params_to_url/2","type":"function"},{"doc":"iex> add_params_to_url(\"http://example.com/wat\", [])\n    \"http://example.com/wat\"\n\n    iex> add_params_to_url(\"http://example.com/wat\", [q: 1])\n    \"http://example.com/wat?q=1\"\n\n    iex> add_params_to_url(\"http://example.com/wat\", [q: 1, t: 2])\n    \"http://example.com/wat?q=1&t=2\"\n\n    iex> add_params_to_url(\"http://example.com/wat\", %{q: 1, t: 2})\n    \"http://example.com/wat?q=1&t=2\"\n\n    iex> add_params_to_url(\"http://example.com/wat?q=1&t=2\", [])\n    \"http://example.com/wat?q=1&t=2\"\n\n    iex> add_params_to_url(\"http://example.com/wat?q=1\", [t: 2])\n    \"http://example.com/wat?q=1&t=2\"\n\n    iex> add_params_to_url(\"http://example.com/wat?q=1\", [q: 3, t: 2])\n    \"http://example.com/wat?q=3&t=2\"\n\n    iex> add_params_to_url(\"http://example.com/wat?q=1&s=4\", [q: 3, t: 2])\n    \"http://example.com/wat?q=3&s=4&t=2\"\n\n    iex> add_params_to_url(\"http://example.com/wat?q=1&s=4\", %{q: 3, t: 2})\n    \"http://example.com/wat?q=3&s=4&t=2\"","ref":"Tentacat.html#add_params_to_url/2-examples","title":"Examples - Tentacat.add_params_to_url/2","type":"function"},{"doc":"Same as `authorization_header/2` but defaults initial headers to include `@user_agent`.","ref":"Tentacat.html#authorization_header/1","title":"Tentacat.authorization_header/1","type":"function"},{"doc":"There are two ways to authenticate through GitHub API v3:\n\n  * Basic authentication\n  * OAuth2 Token\n  * JWT\n\nThis function accepts both.","ref":"Tentacat.html#authorization_header/2","title":"Tentacat.authorization_header/2","type":"function"},{"doc":"iex> Tentacat.authorization_header(%{user: \"user\", password: \"password\"}, [])\n    [{\"Authorization\", \"Basic dXNlcjpwYXNzd29yZA==\"}]\n\n    iex> Tentacat.authorization_header(%{access_token: \"92873971893\"}, [])\n    [{\"Authorization\", \"token 92873971893\"}]\n\n    iex> Tentacat.authorization_header(%{jwt: \"92873971893\"}, [])\n    [{\"Authorization\", \"Bearer 92873971893\"}]\n\nMore info at: http://developer.github.com/v3/#authentication","ref":"Tentacat.html#authorization_header/2-examples","title":"Examples - Tentacat.authorization_header/2","type":"function"},{"doc":"Issues a DELETE request to the given url.\n\nReturns `{:ok, response}` if the request is successful, `{:error, reason}`\notherwise.\n\nSee `request/5` for more detailed information.","ref":"Tentacat.html#delete/3","title":"Tentacat.delete/3","type":"function"},{"doc":"Issues a DELETE request to the given url, raising an exception in case of\nfailure.\n\nIf the request does not fail, the response is returned.\n\nSee `request!/5` for more detailed information.","ref":"Tentacat.html#delete!/3","title":"Tentacat.delete!/3","type":"function"},{"doc":"Issues a GET request to the given url.\n\nReturns `{:ok, response}` if the request is successful, `{:error, reason}`\notherwise.\n\nSee `request/5` for more detailed information.","ref":"Tentacat.html#get/3","title":"Tentacat.get/3","type":"function"},{"doc":"Underlying utility retrieval function. The options passed affect both the\nreturn value and, ultimately, the number of requests made to GitHub.","ref":"Tentacat.html#get/4","title":"Tentacat.get/4","type":"function"},{"doc":"* `:pagination` - Can be `:none`, `:manual`, `:stream`, or `:auto`. Defaults to :auto.\n\n      - `:none` will only return the first page. You won't have access to the\n        headers to manually paginate.\n\n      - `:auto` will block until all the pages have been retrieved and\n        concatenated together. Most of the time, this is what you want. For\n        example, `Tentacat.Repositories.list_users(\"chrismccord\")` and\n        `Tentacat.Repositories.list_users(\"octocat\")` have the same interface\n        though one call will page many times and the other not at all.\n\n      - `:stream` will return a `Stream`, prepopulated with the first page.\n\n      - `:manual` will return a 3 element tuple of `{page_body,\n        url_for_next_page, auth_credentials}`, which will allow you to control\n        the paging yourself.","ref":"Tentacat.html#get/4-options","title":"Options - Tentacat.get/4","type":"function"},{"doc":"Issues a GET request to the given url, raising an exception in case of\nfailure.\n\nIf the request does not fail, the response is returned.\n\nSee `request!/5` for more detailed information.","ref":"Tentacat.html#get!/3","title":"Tentacat.get!/3","type":"function"},{"doc":"Issues a HEAD request to the given url.\n\nReturns `{:ok, response}` if the request is successful, `{:error, reason}`\notherwise.\n\nSee `request/5` for more detailed information.","ref":"Tentacat.html#head/3","title":"Tentacat.head/3","type":"function"},{"doc":"Issues a HEAD request to the given url, raising an exception in case of\nfailure.\n\nIf the request does not fail, the response is returned.\n\nSee `request!/5` for more detailed information.","ref":"Tentacat.html#head!/3","title":"Tentacat.head!/3","type":"function"},{"doc":"","ref":"Tentacat.html#json_request/5","title":"Tentacat.json_request/5","type":"function"},{"doc":"Issues an OPTIONS request to the given url.\n\nReturns `{:ok, response}` if the request is successful, `{:error, reason}`\notherwise.\n\nSee `request/5` for more detailed information.","ref":"Tentacat.html#options/3","title":"Tentacat.options/3","type":"function"},{"doc":"Issues a OPTIONS request to the given url, raising an exception in case of\nfailure.\n\nIf the request does not fail, the response is returned.\n\nSee `request!/5` for more detailed information.","ref":"Tentacat.html#options!/3","title":"Tentacat.options!/3","type":"function"},{"doc":"","ref":"Tentacat.html#patch/3","title":"Tentacat.patch/3","type":"function"},{"doc":"Issues a PATCH request to the given url.\n\nReturns `{:ok, response}` if the request is successful, `{:error, reason}`\notherwise.\n\nSee `request/5` for more detailed information.","ref":"Tentacat.html#patch/4","title":"Tentacat.patch/4","type":"function"},{"doc":"Issues a PATCH request to the given url, raising an exception in case of\nfailure.\n\nIf the request does not fail, the response is returned.\n\nSee `request!/5` for more detailed information.","ref":"Tentacat.html#patch!/4","title":"Tentacat.patch!/4","type":"function"},{"doc":"","ref":"Tentacat.html#post/3","title":"Tentacat.post/3","type":"function"},{"doc":"Issues a POST request to the given url.\n\nReturns `{:ok, response}` if the request is successful, `{:error, reason}`\notherwise.\n\nSee `request/5` for more detailed information.","ref":"Tentacat.html#post/4","title":"Tentacat.post/4","type":"function"},{"doc":"Issues a POST request to the given url, raising an exception in case of\nfailure.\n\nIf the request does not fail, the response is returned.\n\nSee `request!/5` for more detailed information.","ref":"Tentacat.html#post!/4","title":"Tentacat.post!/4","type":"function"},{"doc":"","ref":"Tentacat.html#process_headers/1","title":"Tentacat.process_headers/1","type":"function"},{"doc":"","ref":"Tentacat.html#process_request_body/1","title":"Tentacat.process_request_body/1","type":"function"},{"doc":"","ref":"Tentacat.html#process_request_headers/1","title":"Tentacat.process_request_headers/1","type":"function"},{"doc":"","ref":"Tentacat.html#process_request_options/1","title":"Tentacat.process_request_options/1","type":"function"},{"doc":"","ref":"Tentacat.html#process_request_params/1","title":"Tentacat.process_request_params/1","type":"function"},{"doc":"","ref":"Tentacat.html#process_request_url/1","title":"Tentacat.process_request_url/1","type":"function"},{"doc":"","ref":"Tentacat.html#process_response/1","title":"Tentacat.process_response/1","type":"function"},{"doc":"","ref":"Tentacat.html#process_response_body/1","title":"Tentacat.process_response_body/1","type":"function"},{"doc":"","ref":"Tentacat.html#process_response_chunk/1","title":"Tentacat.process_response_chunk/1","type":"function"},{"doc":"","ref":"Tentacat.html#process_response_headers/1","title":"Tentacat.process_response_headers/1","type":"function"},{"doc":"","ref":"Tentacat.html#process_response_status_code/1","title":"Tentacat.process_response_status_code/1","type":"function"},{"doc":"","ref":"Tentacat.html#process_status_code/1","title":"Tentacat.process_status_code/1","type":"function"},{"doc":"","ref":"Tentacat.html#process_url/1","title":"Tentacat.process_url/1","type":"function"},{"doc":"","ref":"Tentacat.html#put/3","title":"Tentacat.put/3","type":"function"},{"doc":"Issues a PUT request to the given url.\n\nReturns `{:ok, response}` if the request is successful, `{:error, reason}`\notherwise.\n\nSee `request/5` for more detailed information.","ref":"Tentacat.html#put/4","title":"Tentacat.put/4","type":"function"},{"doc":"Issues a PUT request to the given url, raising an exception in case of\nfailure.\n\nIf the request does not fail, the response is returned.\n\nSee `request!/5` for more detailed information.","ref":"Tentacat.html#put!/4","title":"Tentacat.put!/4","type":"function"},{"doc":"","ref":"Tentacat.html#raw_request/5","title":"Tentacat.raw_request/5","type":"function"},{"doc":"Issues an HTTP request using an `HTTPoison.Request` struct.\n\nThis function returns `{:ok, response}`, `{:ok, async_response}`, or `{:ok, maybe_redirect}`\nif the request is successful, `{:error, reason}` otherwise.","ref":"Tentacat.html#request/1","title":"Tentacat.request/1","type":"function"},{"doc":"If the option `:follow_redirect` is given, HTTP redirects are automatically follow if\nthe method is set to `:get` or `:head` and the response's `status_code` is `301`, `302` or\n`307`.\n\nIf the method is set to `:post`, then the only `status_code` that get's automatically\nfollowed is `303`.\n\nIf any other method or `status_code` is returned, then this function returns a\nreturns a `{:ok, %HTTPoison.MaybeRedirect{}}` containing the `redirect_url` for you to\nre-request with the method set to `:get`.","ref":"Tentacat.html#request/1-redirect-handling","title":"Redirect handling - Tentacat.request/1","type":"function"},{"doc":"request = %HTTPoison.Request{\n      method: :post,\n      url: \"https://my.website.com\",\n      body: \"{\\\"foo\\\": 3}\",\n      headers: [{\"Accept\", \"application/json\"}]\n    }\n\n    request(request)","ref":"Tentacat.html#request/1-examples","title":"Examples - Tentacat.request/1","type":"function"},{"doc":"Issues an HTTP request with the given method to the given url.\n\nThis function is usually used indirectly by `get/3`, `post/4`, `put/4`, etc\n\nArgs:\n  * `method` - HTTP method as an atom (`:get`, `:head`, `:post`, `:put`,\n    `:delete`, etc.)\n  * `url` - target url as a binary string or char list\n  * `body` - request body. See more below\n  * `headers` - HTTP headers as an orddict (e.g., `[{\"Accept\", \"application/json\"}]`)\n  * `options` - Keyword list of options\n\nBody: see type `HTTPoison.Request`\n\nOptions: see type `HTTPoison.Request`\n\nThis function returns `{:ok, response}`, `{:ok, async_response}`, or `{:ok, maybe_redirect}`\nif the request is successful, `{:error, reason}` otherwise.","ref":"Tentacat.html#request/5","title":"Tentacat.request/5","type":"function"},{"doc":"If the option `:follow_redirect` is given, HTTP redirects are automatically follow if\nthe method is set to `:get` or `:head` and the response's `status_code` is `301`, `302` or\n`307`.\n\nIf the method is set to `:post`, then the only `status_code` that get's automatically\nfollowed is `303`.\n\nIf any other method or `status_code` is returned, then this function returns a\nreturns a `{:ok, %HTTPoison.MaybeRedirect{}}` containing the `redirect_url` for you to\nre-request with the method set to `:get`.","ref":"Tentacat.html#request/5-redirect-handling","title":"Redirect handling - Tentacat.request/5","type":"function"},{"doc":"request(:post, \"https://my.website.com\", \"{\\\"foo\\\": 3}\", [{\"Accept\", \"application/json\"}])","ref":"Tentacat.html#request/5-examples","title":"Examples - Tentacat.request/5","type":"function"},{"doc":"Issues an HTTP request an `HTTPoison.Request` struct.\nexception in case of failure.\n\n`request!/1` works exactly like `request/1` but it returns just the\nresponse in case of a successful request, raising an exception in case the\nrequest fails.","ref":"Tentacat.html#request!/1","title":"Tentacat.request!/1","type":"function"},{"doc":"Issues an HTTP request with the given method to the given url, raising an\nexception in case of failure.\n\n`request!/5` works exactly like `request/5` but it returns just the\nresponse in case of a successful request, raising an exception in case the\nrequest fails.","ref":"Tentacat.html#request!/5","title":"Tentacat.request!/5","type":"function"},{"doc":"","ref":"Tentacat.html#request_stream/5","title":"Tentacat.request_stream/5","type":"function"},{"doc":"","ref":"Tentacat.html#request_with_pagination/4","title":"Tentacat.request_with_pagination/4","type":"function"},{"doc":"Starts HTTPoison and its dependencies.","ref":"Tentacat.html#start/0","title":"Tentacat.start/0","type":"function"},{"doc":"Requests the next message to be streamed for a given `HTTPoison.AsyncResponse`.\n\nSee `request!/5` for more detailed information.","ref":"Tentacat.html#stream_next/1","title":"Tentacat.stream_next/1","type":"function"},{"doc":"","ref":"Tentacat.html#t:body/0","title":"Tentacat.body/0","type":"type"},{"doc":"","ref":"Tentacat.html#t:headers/0","title":"Tentacat.headers/0","type":"type"},{"doc":"","ref":"Tentacat.html#t:method/0","title":"Tentacat.method/0","type":"type"},{"doc":"","ref":"Tentacat.html#t:options/0","title":"Tentacat.options/0","type":"type"},{"doc":"","ref":"Tentacat.html#t:pagination_response/0","title":"Tentacat.pagination_response/0","type":"type"},{"doc":"","ref":"Tentacat.html#t:params/0","title":"Tentacat.params/0","type":"type"},{"doc":"","ref":"Tentacat.html#t:request/0","title":"Tentacat.request/0","type":"type"},{"doc":"","ref":"Tentacat.html#t:response/0","title":"Tentacat.response/0","type":"type"},{"doc":"","ref":"Tentacat.html#t:url/0","title":"Tentacat.url/0","type":"type"},{"doc":"","ref":"Tentacat.App.html","title":"Tentacat.App","type":"module"},{"doc":"Get info for a single app","ref":"Tentacat.App.html#find/2","title":"Tentacat.App.find/2","type":"function"},{"doc":"Tentacat.App.find \"tentacatty\"\n\nMore info at: https://developer.github.com/v3/apps/#get-a-single-github-app","ref":"Tentacat.App.html#find/2-example","title":"Example - Tentacat.App.find/2","type":"function"},{"doc":"Get info for the authorized app","ref":"Tentacat.App.html#me/1","title":"Tentacat.App.me/1","type":"function"},{"doc":"Tentacat.App.me client\n\nMore info at: https://developer.github.com/v3/apps/#get-the-authenticated-github-app","ref":"Tentacat.App.html#me/1-example","title":"Example - Tentacat.App.me/1","type":"function"},{"doc":"","ref":"Tentacat.App.Installations.html","title":"Tentacat.App.Installations","type":"module"},{"doc":"Get a specific installation.","ref":"Tentacat.App.Installations.html#find/2","title":"Tentacat.App.Installations.find/2","type":"function"},{"doc":"Tentacat.App.Installations.find client, 12\n\nMore info at: https://developer.github.com/v3/apps/#get-a-single-installation","ref":"Tentacat.App.Installations.html#find/2-example","title":"Example - Tentacat.App.Installations.find/2","type":"function"},{"doc":"List installations accessible with the authenticated app user.","ref":"Tentacat.App.Installations.html#list_for_user/1","title":"Tentacat.App.Installations.list_for_user/1","type":"function"},{"doc":"Tentacat.App.Installations.list_for_user client\n\nMore info at: https://developer.github.com/v3/apps/#list-installations-for-user","ref":"Tentacat.App.Installations.html#list_for_user/1-example","title":"Example - Tentacat.App.Installations.list_for_user/1","type":"function"},{"doc":"List installations for the authorized app.","ref":"Tentacat.App.Installations.html#list_mine/1","title":"Tentacat.App.Installations.list_mine/1","type":"function"},{"doc":"Tentacat.App.Installations.list_mine client\n\nMore info at: https://developer.github.com/v3/apps/#find-installations","ref":"Tentacat.App.Installations.html#list_mine/1-example","title":"Example - Tentacat.App.Installations.list_mine/1","type":"function"},{"doc":"List repositories for the authenticated installation.","ref":"Tentacat.App.Installations.html#list_repositories/1","title":"Tentacat.App.Installations.list_repositories/1","type":"function"},{"doc":"Tentacat.App.Installations.list_repositories\n\nMore info at: https://developer.github.com/v3/apps/installations/#list-repositories","ref":"Tentacat.App.Installations.html#list_repositories/1-example","title":"Example - Tentacat.App.Installations.list_repositories/1","type":"function"},{"doc":"List repositories in an installation that are accessible with to the\nauthenticated app user.","ref":"Tentacat.App.Installations.html#list_repositories_for_user/2","title":"Tentacat.App.Installations.list_repositories_for_user/2","type":"function"},{"doc":"Tentacat.App.Installations.list_repositories_for_user client, 154\n\nMore info at: https://developer.github.com/v3/apps/#list-installations-for-user","ref":"Tentacat.App.Installations.html#list_repositories_for_user/2-example","title":"Example - Tentacat.App.Installations.list_repositories_for_user/2","type":"function"},{"doc":"Get an authorization token for an installation.","ref":"Tentacat.App.Installations.html#token/2","title":"Tentacat.App.Installations.token/2","type":"function"},{"doc":"Tentacat.App.Installations.token client, 12\n\nMore info at: https://developer.github.com/v3/apps/#create-a-new-installation-token","ref":"Tentacat.App.Installations.html#token/2-example","title":"Example - Tentacat.App.Installations.token/2","type":"function"},{"doc":"","ref":"Tentacat.Client.html","title":"Tentacat.Client","type":"module"},{"doc":"","ref":"Tentacat.Client.html#new/0","title":"Tentacat.Client.new/0","type":"function"},{"doc":"","ref":"Tentacat.Client.html#new/1","title":"Tentacat.Client.new/1","type":"function"},{"doc":"","ref":"Tentacat.Client.html#new/2","title":"Tentacat.Client.new/2","type":"function"},{"doc":"","ref":"Tentacat.Client.html#t:auth/0","title":"Tentacat.Client.auth/0","type":"type"},{"doc":"","ref":"Tentacat.Client.html#t:t/0","title":"Tentacat.Client.t/0","type":"type"},{"doc":"","ref":"Tentacat.Comments.Reactions.html","title":"Tentacat.Comments.Reactions","type":"module"},{"doc":"Create a reaction on a comment\n\nReaction Request body example:\n\n```elixir\n%{\n  content: \"heart\"\n}\n```","ref":"Tentacat.Comments.Reactions.html#create/5","title":"Tentacat.Comments.Reactions.create/5","type":"function"},{"doc":"Tentacat.Comments.Reactions.create \"elixir-lang\", \"elixir\", \"345434\"\n\nMore info at: https://developer.github.com/v3/reactions/#create-reaction-for-a-commit-comment","ref":"Tentacat.Comments.Reactions.html#create/5-example","title":"Example - Tentacat.Comments.Reactions.create/5","type":"function"},{"doc":"List the reactions on a comment.","ref":"Tentacat.Comments.Reactions.html#list/4","title":"Tentacat.Comments.Reactions.list/4","type":"function"},{"doc":"Tentacat.Comments.Reactions.list \"elixir-lang\" , \"elixir\", \"345434\"\n\nMore info at: https://developer.github.com/v3/reactions/#list-reactions-for-a-commit-comment","ref":"Tentacat.Comments.Reactions.html#list/4-example","title":"Example - Tentacat.Comments.Reactions.list/4","type":"function"},{"doc":"","ref":"Tentacat.Commits.html","title":"Tentacat.Commits","type":"module"},{"doc":"Compare two commits.","ref":"Tentacat.Commits.html#compare/5","title":"Tentacat.Commits.compare/5","type":"function"},{"doc":"Tentacat.Commits.compare(client, base, head, \"elixir-lang\", \"elixir\")\n\nMore info at: https://developer.github.com/v3/repos/commits/#compare-two-commits","ref":"Tentacat.Commits.html#compare/5-example","title":"Example - Tentacat.Commits.compare/5","type":"function"},{"doc":"Create a commit.\n\nCommit body example:\n\n```elixir\n%{\n  message: \"my commit message\",\n  author: %{\n    name: \"Mona Octocat\",\n    email: \"octocat@github.com\",\n    date: \"2008-07-09T16:13:30+12:00\"\n  },\n  parents: [\n    \"7d1b31e74ee336d15cbd21741bc88a537ed063a0\"\n  ],\n  tree: \"827efc6d56897b048c772eb4087f854f46256132\",\n  signature: \"-----BEGIN PGP SIGNATURE-----\n\niQIzBAABAQAdFiEESn/54jMNIrGSE6Tp6cQjvhfv7nAFAlnT71cACgkQ6cQjvhfv\n7nCWwA//XVqBKWO0zF+bZl6pggvky3Oc2j1pNFuRWZ29LXpNuD5WUGXGG209B0hI\nDkmcGk19ZKUTnEUJV2Xd0R7AW01S/YSub7OYcgBkI7qUE13FVHN5ln1KvH2all2n\n2+JCV1HcJLEoTjqIFZSSu/sMdhkLQ9/NsmMAzpf/iIM0nQOyU4YRex9eD1bYj6nA\nOQPIDdAuaTQj1gFPHYLzM4zJnCqGdRlg0sOM/zC5apBNzIwlgREatOYQSCfCKV7k\nnrU34X8b9BzQaUx48Qa+Dmfn5KQ8dl27RNeWAqlkuWyv3pUauH9UeYW+KyuJeMkU\n+NyHgAsWFaCFl23kCHThbLStMZOYEnGagrd0hnm1TPS4GJkV4wfYMwnI4KuSlHKB\njHl3Js9vNzEUQipQJbgCgTiWvRJoK3ENwBTMVkKHaqT4x9U4Jk/XZB6Q8MA09ezJ\n3QgiTjTAGcum9E9QiJqMYdWQPWkaBIRRz5cET6HPB48YNXAAUsfmuYsGrnVLYbG+\nUpC6I97VybYHTy2O9XSGoaLeMI9CsFn38ycAxxbWagk5mhclNTP5mezIq6wKSwmr\nX11FW3n1J23fWZn5HJMBsRnUCgzqzX3871IqLYHqRJ/bpZ4h20RhTyPj5c/z7QXp\neSakNQMfbbMcljkha+ZMuVQX1K9aRlVqbmv3ZMWh+OijLYVU2bc=\n=5Io4\n-----END PGP SIGNATURE-----\n\"\n}\n```","ref":"Tentacat.Commits.html#create/4","title":"Tentacat.Commits.create/4","type":"function"},{"doc":"Tentacat.Commits.create(client, \"elixir-lang\", \"elixir\", body)\n\nMore info at: https://developer.github.com/v3/git/commits/#create-a-commit","ref":"Tentacat.Commits.html#create/4-example","title":"Example - Tentacat.Commits.create/4","type":"function"},{"doc":"Filter commits on a repository. Parameters are `sha`, `path`, `author`, `since`, `until`.","ref":"Tentacat.Commits.html#filter/4","title":"Tentacat.Commits.filter/4","type":"function"},{"doc":"Tentacat.Commits.filter(client, \"elixir-lang\", \"elixir\", %{sha: \"my-branch\"})\n\nMore info at: https://developer.github.com/v3/repos/commits/#list-commits-on-a-repository","ref":"Tentacat.Commits.html#filter/4-example","title":"Example - Tentacat.Commits.filter/4","type":"function"},{"doc":"Get a single commit.","ref":"Tentacat.Commits.html#find/4","title":"Tentacat.Commits.find/4","type":"function"},{"doc":"Tentacat.Commits.find(client, \"6dcb09b\", \"elixir-lang\", \"elixir\")\n\nMore info at: https://developer.github.com/v3/repos/commits/#get-a-commit","ref":"Tentacat.Commits.html#find/4-example","title":"Example - Tentacat.Commits.find/4","type":"function"},{"doc":"List commits on a repository.","ref":"Tentacat.Commits.html#list/3","title":"Tentacat.Commits.list/3","type":"function"},{"doc":"Tentacat.Commits.list(client, \"elixir-lang\", \"elixir\")\n\nMore info at: https://developer.github.com/v3/repos/commits/#list-commits-on-a-repository","ref":"Tentacat.Commits.html#list/3-example","title":"Example - Tentacat.Commits.list/3","type":"function"},{"doc":"","ref":"Tentacat.Commits.Comments.html","title":"Tentacat.Commits.Comments","type":"module"},{"doc":"Create a comment for a commit.\n\nComment body example:\n\n```elixir\n%{\n  \"body\"      => \"Nice change\",\n  \"path\"      => \"file1.txt\",\n  \"position\"  => 4,\n  \"line\"      => null\n}\n```","ref":"Tentacat.Commits.Comments.html#create/5","title":"Tentacat.Commits.Comments.create/5","type":"function"},{"doc":"Tentacat.Commits.Comments.create \"elixir-lang\", \"elixir\", \"7491bda5196f78536e5acc9b7c90a97170e4db0a\", comment_body\n\nMore info at: https://developer.github.com/v3/repos/comments/#create-a-commit-comment","ref":"Tentacat.Commits.Comments.html#create/5-example","title":"Example - Tentacat.Commits.Comments.create/5","type":"function"},{"doc":"Delete a comment for a commit","ref":"Tentacat.Commits.Comments.html#delete/4","title":"Tentacat.Commits.Comments.delete/4","type":"function"},{"doc":"Tentacat.Commits.Comments.delete \"elixir-lang\", \"elixir\", 1\n\nMore info at: https://developer.github.com/v3/repos/comments/#delete-a-commit-comment","ref":"Tentacat.Commits.Comments.html#delete/4-example","title":"Example - Tentacat.Commits.Comments.delete/4","type":"function"},{"doc":"Find a comment for a commit.","ref":"Tentacat.Commits.Comments.html#find/4","title":"Tentacat.Commits.Comments.find/4","type":"function"},{"doc":"Tentacat.Commits.Comments.find \"elixir-lang\", \"elixir\", 1\n\nMore info at: https://developer.github.com/v3/repos/comments/#get-a-single-commit-comment","ref":"Tentacat.Commits.Comments.html#find/4-example","title":"Example - Tentacat.Commits.Comments.find/4","type":"function"},{"doc":"List commit comments for a commit.","ref":"Tentacat.Commits.Comments.html#list/4","title":"Tentacat.Commits.Comments.list/4","type":"function"},{"doc":"Tentacat.Commits.Comments.list \"elixir-lang\", \"elixir\", \"7491bda5196f78536e5acc9b7c90a97170e4db0a\"\n\nMore info at: https://developer.github.com/v3/repos/comments/#list-comments-for-a-single-commit","ref":"Tentacat.Commits.Comments.html#list/4-example","title":"Example - Tentacat.Commits.Comments.list/4","type":"function"},{"doc":"List commit comments in a repository.","ref":"Tentacat.Commits.Comments.html#list_all/3","title":"Tentacat.Commits.Comments.list_all/3","type":"function"},{"doc":"Tentacat.Commits.Comments.list_all \"elixir-lang\", \"elixir\"\n\nMore info at: https://developer.github.com/v3/repos/comments/#list-commit-comments-for-a-repository","ref":"Tentacat.Commits.Comments.html#list_all/3-example","title":"Example - Tentacat.Commits.Comments.list_all/3","type":"function"},{"doc":"Update a comment for a commit.\n\nComment body example:\n\n```elixir\n%{\n  \"body\" => \"Nice change\",\n}\n```","ref":"Tentacat.Commits.Comments.html#update/5","title":"Tentacat.Commits.Comments.update/5","type":"function"},{"doc":"Tentacat.Commits.Comments.update \"elixir-lang\", \"elixir\", 1\n\nMore info at: https://developer.github.com/v3/repos/comments/#update-a-commit-comment","ref":"Tentacat.Commits.Comments.html#update/5-example","title":"Example - Tentacat.Commits.Comments.update/5","type":"function"},{"doc":"","ref":"Tentacat.Contents.html","title":"Tentacat.Contents","type":"module"},{"doc":"Create a file.\n\nCreate body example:\n\n```elixir\n%{\n  \"message\" => \"my commit message\",\n  \"committer\" => %{\n    \"name\"  =>  \"Grigory Starinkin\",\n    \"email\" =>  \"starinkin@gmail.com\"\n  },\n  \"content\" => \"bXkgbmV3IGZpbGUgY29udGVudHM=\",\n  \"branch\"  => \"cool-feature\"\n}\n```","ref":"Tentacat.Contents.html#create/5","title":"Tentacat.Contents.create/5","type":"function"},{"doc":"Tentacat.Contents.create client, \"elixir-lang\", \"elixir\", \"lib/elixir.ex\", body\n\nMore info at: https://developer.github.com/v3/repos/contents/#create-a-file","ref":"Tentacat.Contents.html#create/5-example","title":"Example - Tentacat.Contents.create/5","type":"function"},{"doc":"Get the contents of a file or directory in a repository.","ref":"Tentacat.Contents.html#find/4","title":"Tentacat.Contents.find/4","type":"function"},{"doc":"Tentacat.Contents.find \"elixir-lang\", \"elixir\", \"lib\"\n    Tentacat.Contents.find client, \"elixir-lang\", \"elixir\", \"lib\"\n\nMore info at: https://developer.github.com/v3/repos/contents/#get-contents","ref":"Tentacat.Contents.html#find/4-example","title":"Example - Tentacat.Contents.find/4","type":"function"},{"doc":"Get the contents of a file or directory in a repository for a provided reference.","ref":"Tentacat.Contents.html#find_in/5","title":"Tentacat.Contents.find_in/5","type":"function"},{"doc":"Tentacat.Contents.find_in \"elixir-lang\", \"elixir\", \"lib\", \"ref-name\"\n    Tentacat.Contents.find_in client, \"elixir-lang\", \"elixir\", \"lib\", \"ref-name\"\n\nMore info at: https://developer.github.com/v3/repos/contents/#get-contents","ref":"Tentacat.Contents.html#find_in/5-example","title":"Example - Tentacat.Contents.find_in/5","type":"function"},{"doc":"Get the contents of README.md.","ref":"Tentacat.Contents.html#readme/3","title":"Tentacat.Contents.readme/3","type":"function"},{"doc":"Tentacat.Contents.readme \"elixir-lang\", \"elixir\"\n    Tentacat.Contents.readme client, \"elixir-lang\", \"elixir\"\n\nMore info at: https://developer.github.com/v3/repos/contents/#get-the-readme","ref":"Tentacat.Contents.html#readme/3-example","title":"Example - Tentacat.Contents.readme/3","type":"function"},{"doc":"Deletes a file in a repository.\n\nDelete body example:\n\n```elixir\n%{\n  \"message\" => \"my commit message\",\n  \"committer\" => %{\n    \"name\"  => \"Grigory Starinkin\",\n    \"email\" => \"starinkin@gmail.com\"\n  },\n  \"sha\"    => \"329688480d39049927147c162b9d2deaf885005f\",\n  \"branch\" => \"cool-feature\"\n}\n```","ref":"Tentacat.Contents.html#remove/5","title":"Tentacat.Contents.remove/5","type":"function"},{"doc":"Tentacat.Contents.remove client, \"elixir-lang\", \"elixir\", \"lib/elixir.ex\", body\n\nMore info at: https://developer.github.com/v3/repos/contents/#delete-a-file","ref":"Tentacat.Contents.html#remove/5-example","title":"Example - Tentacat.Contents.remove/5","type":"function"},{"doc":"Update a file.\n\nUpdate body example:\n\n```elixir\n%{\n  \"message\" => \"my commit message\",\n  \"committer\" => %{\n    \"name\"  => \"Grigory Starinkin\",\n    \"email\" => \"starinkin@gmail.com\"\n  },\n  \"content\" => \"bXkgdXBkYXRlZCBmaWxlIGNvbnRlbnRz\",\n  \"sha\"     => \"329688480d39049927147c162b9d2deaf885005f\",\n  \"branch\"  => \"cool-feature\"\n}\n```","ref":"Tentacat.Contents.html#update/5","title":"Tentacat.Contents.update/5","type":"function"},{"doc":"Tentacat.Contents.update client, \"elixir-lang\", \"elixir\", \"lib/elixir.ex\", body\n\nMore info at: https://developer.github.com/v3/repos/contents/#update-a-file","ref":"Tentacat.Contents.html#update/5-example","title":"Example - Tentacat.Contents.update/5","type":"function"},{"doc":"","ref":"Tentacat.Feeds.html","title":"Tentacat.Feeds","type":"module"},{"doc":"GitHub provides several timeline resources in Atom format.\n\nThe Feeds API lists all the feeds available to the authenticating user:\n\n  * Timeline: The GitHub global public timeline\n  * User: The public timeline for any user, using URI template\n  * Current user public: The public timeline for the authenticated user\n  * Current user: The private timeline for the authenticated user\n  * Current user actor: The private timeline for activity created by the authenticated user\n  * Current user organizations: The private timeline for the organizations\n  the authenticated user is a member of.\n\nNote: Private feeds are only returned when authenticating via Basic Auth\nsince current feed URIs use the older, non revokable auth tokens.","ref":"Tentacat.Feeds.html#feeds/1","title":"Tentacat.Feeds.feeds/1","type":"function"},{"doc":"Tentacat.Users.Feeds\n\nMore info at: https://developer.github.com/v3/activity/feeds/","ref":"Tentacat.Feeds.html#feeds/1-example","title":"Example - Tentacat.Feeds.feeds/1","type":"function"},{"doc":"","ref":"Tentacat.Gists.html","title":"Tentacat.Gists","type":"module"},{"doc":"Check if a gist is starred.","ref":"Tentacat.Gists.html#check_if_starred/2","title":"Tentacat.Gists.check_if_starred/2","type":"function"},{"doc":"Tentacat.Gists.check_if_starred(client, \"\")\n\nMore info: https://developer.github.com/v3/gists/#check-if-a-gist-is-starred","ref":"Tentacat.Gists.html#check_if_starred/2-example","title":"Example - Tentacat.Gists.check_if_starred/2","type":"function"},{"doc":"Create a new gist for the authenticated user.\n\nGist body example:\n\n```elixir\n%{\n  \"files\" => %{\n    \"hello.rb\" => %{\"content\" => \"puts 'Hello World'\"},\n    \"hello.py\" => %{\"content\" => \"print 'Hello World'\"}\n  },\n  \"description\" => \"Hello World Examples\",\n  \"public\" => false\n}\n```","ref":"Tentacat.Gists.html#create/2","title":"Tentacat.Gists.create/2","type":"function"},{"doc":"Tentacat.Gists.create(client, body)\n\nMore info at: https://developer.github.com/v3/gists/#create-a-gist","ref":"Tentacat.Gists.html#create/2-example","title":"Example - Tentacat.Gists.create/2","type":"function"},{"doc":"Deleting a gist requires admin access.\n\nIf OAuth is used, the gist scope is required.","ref":"Tentacat.Gists.html#delete/2","title":"Tentacat.Gists.delete/2","type":"function"},{"doc":"Tentacat.Gists.delete(client, \"fe771b85eeeff878d177b0c0f3840afd\")\n\nMore info at: https://developer.github.com/v3/gists/#delete-a-gist","ref":"Tentacat.Gists.html#delete/2-example","title":"Example - Tentacat.Gists.delete/2","type":"function"},{"doc":"Edit a gist.\n\nGist body example:\n\n```elixir\n%{\n  \"description\" => \"Hello World Examples\",\n  \"files\" => %{\n    \"hello_world_ruby.txt\" => %{\n      \"content\" => \"Run `ruby hello.rb` or `python hello.py` to print Hello World\",\n      \"filename\" => \"hello.md\"\n    },\n    \"hello_world_python.txt\" => nil,\n    \"new_file.txt\" => %{\n      \"content\" => \"This is a new placeholder file.\"\n    }\n  }\n}\n```","ref":"Tentacat.Gists.html#edit/3","title":"Tentacat.Gists.edit/3","type":"function"},{"doc":"Tentacat.Gists.edit(client, \"fe771b85eeeff878d177b0c0f3840afd\", body)\n\nMore info at: https://developer.github.com/v3/gists/#edit-a-gist","ref":"Tentacat.Gists.html#edit/3-example","title":"Example - Tentacat.Gists.edit/3","type":"function"},{"doc":"Fork a gist.","ref":"Tentacat.Gists.html#fork/2","title":"Tentacat.Gists.fork/2","type":"function"},{"doc":"Tentacat.Gists.fork(client, \"fe771b85eeeff878d177b0c0f3840afd\")\n\nMore info: https://developer.github.com/v3/gists/#fork-a-gist","ref":"Tentacat.Gists.html#fork/2-example","title":"Example - Tentacat.Gists.fork/2","type":"function"},{"doc":"Get a specific revision of a gist.","ref":"Tentacat.Gists.html#get_revision/3","title":"Tentacat.Gists.get_revision/3","type":"function"},{"doc":"Tentacat.Gists.get_revision(\"fe771b85eeeff878d177b0c0f3840afd\", \"0ba06a873509677ab40b8ed5575f249a55c6fc41\")\n    Tentacat.Gists.get_revision(client, \"fe771b85eeeff878d177b0c0f3840afd\", \"0ba06a873509677ab40b8ed5575f249a55c6fc41\")\n\nMore info at: https://developer.github.com/v3/gists/#get-a-specific-revision-of-a-gist","ref":"Tentacat.Gists.html#get_revision/3-example","title":"Example - Tentacat.Gists.get_revision/3","type":"function"},{"doc":"Get a single gist.","ref":"Tentacat.Gists.html#gist_get/2","title":"Tentacat.Gists.gist_get/2","type":"function"},{"doc":"Tentacat.Gists.gist_get(\"fe771b85eeeff878d177b0c0f3840afd\")\n    Tentacat.Gists.gist_get(client, \"fe771b85eeeff878d177b0c0f3840afd\")\n\nMore info at: https://developer.github.com/v3/gists/#get-a-single-gist","ref":"Tentacat.Gists.html#gist_get/2-example","title":"Example - Tentacat.Gists.gist_get/2","type":"function"},{"doc":"List gist commits.","ref":"Tentacat.Gists.html#list_commits/2","title":"Tentacat.Gists.list_commits/2","type":"function"},{"doc":"Tentacat.Gists.list_commits(\"fe771b85eeeff878d177b0c0f3840afd\")\n    Tentacat.Gists.list_commits(client, \"fe771b85eeeff878d177b0c0f3840afd\")\n\nMore info at: https://developer.github.com/v3/gists/#list-gist-commits","ref":"Tentacat.Gists.html#list_commits/2-example","title":"Example - Tentacat.Gists.list_commits/2","type":"function"},{"doc":"List forks.","ref":"Tentacat.Gists.html#list_forks/3","title":"Tentacat.Gists.list_forks/3","type":"function"},{"doc":"Tentacat.Gists.list_forks(\"fe771b85eeeff878d177b0c0f3840afd\")\n    Tentacat.Gists.list_forks(client, \"fe771b85eeeff878d177b0c0f3840afd\")\n\nMore info at: https://developer.github.com/v3/gists/#list-gist-forks","ref":"Tentacat.Gists.html#list_forks/3-example","title":"Example - Tentacat.Gists.list_forks/3","type":"function"},{"doc":"List current user's gists.","ref":"Tentacat.Gists.html#list_mine/3","title":"Tentacat.Gists.list_mine/3","type":"function"},{"doc":"Tentacat.Gists.list_mine(client)\n\nMore info at: https://developer.github.com/v3/gists/#list-a-users-gists","ref":"Tentacat.Gists.html#list_mine/3-examples","title":"Examples - Tentacat.Gists.list_mine/3","type":"function"},{"doc":"List all public gists.","ref":"Tentacat.Gists.html#list_public/3","title":"Tentacat.Gists.list_public/3","type":"function"},{"doc":"Tentacat.Gists.list_public\n    Tentacat.Gists.list_public(client)\n\nMore info at: https://developer.github.com/v3/gists/#list-all-public-gists","ref":"Tentacat.Gists.html#list_public/3-example","title":"Example - Tentacat.Gists.list_public/3","type":"function"},{"doc":"List starred gists.","ref":"Tentacat.Gists.html#list_starred/3","title":"Tentacat.Gists.list_starred/3","type":"function"},{"doc":"Tentacat.Gists.list_starred(client)\n\nMore info at: https://developer.github.com/v3/gists/#list-starred-gists","ref":"Tentacat.Gists.html#list_starred/3-example","title":"Example - Tentacat.Gists.list_starred/3","type":"function"},{"doc":"List users gists.","ref":"Tentacat.Gists.html#list_users/4","title":"Tentacat.Gists.list_users/4","type":"function"},{"doc":"Tentacat.Gists.list_users(client, \"steve\")\n    Tentacat.Gists.list_users(\"steve\")\n\nMore info at: https://developer.github.com/v3/gists/#list-a-users-gists","ref":"Tentacat.Gists.html#list_users/4-example","title":"Example - Tentacat.Gists.list_users/4","type":"function"},{"doc":"Star a gist.","ref":"Tentacat.Gists.html#star/2","title":"Tentacat.Gists.star/2","type":"function"},{"doc":"Tentacat.Gists.star(client, \"fe771b85eeeff878d177b0c0f3840afd\")\n\nMore info: https://developer.github.com/v3/gists/#star-a-gist","ref":"Tentacat.Gists.html#star/2-example","title":"Example - Tentacat.Gists.star/2","type":"function"},{"doc":"Unstar a gist.","ref":"Tentacat.Gists.html#unstar/2","title":"Tentacat.Gists.unstar/2","type":"function"},{"doc":"Tentacat.Gists.unstar(client, \"fe771b85eeeff878d177b0c0f3840afd\")\n\nMore info: https://developer.github.com/v3/gists/#unstar-a-gist","ref":"Tentacat.Gists.html#unstar/2-example","title":"Example - Tentacat.Gists.unstar/2","type":"function"},{"doc":"","ref":"Tentacat.Git.Blobs.html","title":"Tentacat.Git.Blobs","type":"module"},{"doc":"Create a blob in the repository.\n\nBlob body example:\n\n```elixir\n%{\n  \"content\"   => \"Content of the blob\",\n  \"encoding\"  => \"utf-8\"\n}\n```","ref":"Tentacat.Git.Blobs.html#create/4","title":"Tentacat.Git.Blobs.create/4","type":"function"},{"doc":"Tentacat.Commits.Blobs.create \"elixir-lang\", \"elixir\", blob_body\n\nMore info at: https://developer.github.com/v3/git/blobs/#create-a-blob","ref":"Tentacat.Git.Blobs.html#create/4-example","title":"Example - Tentacat.Git.Blobs.create/4","type":"function"},{"doc":"Get the Blob content and metadata for a specific file SHA.","ref":"Tentacat.Git.Blobs.html#get/4","title":"Tentacat.Git.Blobs.get/4","type":"function"},{"doc":"Tentacat.Git.Blobs.get \"elixir-lang\", \"elixir\", \"7491bda5196f78536e5acc9b7c90a97170e4db0a\"\n\nMore info at: https://developer.github.com/v3/git/blobs/#get-a-blob","ref":"Tentacat.Git.Blobs.html#get/4-example","title":"Example - Tentacat.Git.Blobs.get/4","type":"function"},{"doc":"","ref":"Tentacat.Gitignore.html","title":"Tentacat.Gitignore","type":"module"},{"doc":"Get a single template based on the `name`.","ref":"Tentacat.Gitignore.html#template/2","title":"Tentacat.Gitignore.template/2","type":"function"},{"doc":"Tentacat.Gitignore.template \"C\"\n    Tentacat.Gitignore.template client, \"C\"\n\nMore info at: http:\\developer.github.com/v3/gitignore/#get-a-single-template","ref":"Tentacat.Gitignore.html#template/2-example","title":"Example - Tentacat.Gitignore.template/2","type":"function"},{"doc":"List all templates available.","ref":"Tentacat.Gitignore.html#templates/1","title":"Tentacat.Gitignore.templates/1","type":"function"},{"doc":"Tentacat.Gitignore.templates\n    Tentacat.Gitignore.templates client\n\nMore info at: http:\\developer.github.com/v3/gitignore/#listing-available-templates","ref":"Tentacat.Gitignore.html#templates/1-example","title":"Example - Tentacat.Gitignore.templates/1","type":"function"},{"doc":"The Repository Webhooks API allows repository admins to manage the\npost-receive hooks for a repository.","ref":"Tentacat.Hooks.html","title":"Tentacat.Hooks","type":"module"},{"doc":"Create webhook for a repository.","ref":"Tentacat.Hooks.html#create/4","title":"Tentacat.Hooks.create/4","type":"function"},{"doc":"Tentacat.Hooks.create(client, \"elixir-lang\", \"elixir\", hook_body)\n\nMore info at: http://developer.github.com/v3/repos/hooks/#create-a-hook","ref":"Tentacat.Hooks.html#create/4-example","title":"Example - Tentacat.Hooks.create/4","type":"function"},{"doc":"Get a webhook for a repository by id.","ref":"Tentacat.Hooks.html#find/4","title":"Tentacat.Hooks.find/4","type":"function"},{"doc":"Tentacat.Hooks.find(client, \"elixir-lang\", \"elixir\", \"1234567\")\n\nMore info at: http://developer.github.com/v3/repos/hooks/#get-single-hook","ref":"Tentacat.Hooks.html#find/4-example","title":"Example - Tentacat.Hooks.find/4","type":"function"},{"doc":"Get a list of webhooks for a repository.","ref":"Tentacat.Hooks.html#list/3","title":"Tentacat.Hooks.list/3","type":"function"},{"doc":"Tentacat.Hooks.list(client, \"elixir-lang\", \"elixir\")\n\nMore info at: http://developer.github.com/v3/repos/hooks/#list-hooks","ref":"Tentacat.Hooks.html#list/3-example","title":"Example - Tentacat.Hooks.list/3","type":"function"},{"doc":"This will trigger a ping event to be sent to the hook.","ref":"Tentacat.Hooks.html#ping/4","title":"Tentacat.Hooks.ping/4","type":"function"},{"doc":"Tentacat.Hooks.ping(client, \"elixir-lang\", \"elixir\", \"1234567\")\n\nMore info at: http://developer.github.com/v3/repos/hooks/#ping-a-hook","ref":"Tentacat.Hooks.html#ping/4-example","title":"Example - Tentacat.Hooks.ping/4","type":"function"},{"doc":"Delete a repo's webhook by it's Id.","ref":"Tentacat.Hooks.html#remove/4","title":"Tentacat.Hooks.remove/4","type":"function"},{"doc":"Tentacat.Hooks.remove(client, \"elixir-lang\", \"elixir\", \"1234567\")\n\nMore info at: http://developer.github.com/v3/repos/hooks/#delete-a-hook","ref":"Tentacat.Hooks.html#remove/4-example","title":"Example - Tentacat.Hooks.remove/4","type":"function"},{"doc":"This will trigger the hook with the latest push to the current repository if\nthe hook is subscribed to push events.\n\nIf the hook is not subscribed to push events, the server will respond with\n204 but no test POST will be generated.","ref":"Tentacat.Hooks.html#test/4","title":"Tentacat.Hooks.test/4","type":"function"},{"doc":"Tentacat.Hooks.test(client, \"elixir-lang\", \"elixir\", \"1234567\")\n\nMore info at: http://developer.github.com/v3/repos/hooks/#test-a-push-hook","ref":"Tentacat.Hooks.html#test/4-example","title":"Example - Tentacat.Hooks.test/4","type":"function"},{"doc":"Update a hook.\n\nUpdate body example:\n\n```elixir\nhook_body = %{\n  \"name\" => \"web\",\n  \"active\" => true,\n  \"events\" => [ \"push\", \"pull_request\" ],\n  \"config\" => {\n    \"url\" => \"http://example.com/webhook\",\n    \"content_type\" => \"json\"\n  }\n}\n```","ref":"Tentacat.Hooks.html#update/5","title":"Tentacat.Hooks.update/5","type":"function"},{"doc":"Tentacat.Hooks.update(client, \"elixir-lang\", \"elixir\", \"1234567\", hook_body)\n\nMore info at: http://developer.github.com/v3/repos/hooks/#edit-a-hook","ref":"Tentacat.Hooks.html#update/5-example","title":"Example - Tentacat.Hooks.update/5","type":"function"},{"doc":"","ref":"Tentacat.Issues.html","title":"Tentacat.Issues","type":"module"},{"doc":"Create an issue.\n\nPossible values for `body`:\n\n  * %{title: \"title of issue\"} (required)\n  * %{body: \"body of issue\"}\n  * %{assignee: \"username\"}\n  * %{milestone: 4}\n  * %{labels: [\"bug\", \"frontend\"]}","ref":"Tentacat.Issues.html#create/4","title":"Tentacat.Issues.create/4","type":"function"},{"doc":"Tentacat.Issues.create \"elixir-lang\", \"elixir\", %{\"title\" => \"Issue\", \"body\" => \"Details\"}\n    Tentacat.Issues.create client, \"elixir-lang\", \"elixir\", %{\"title\" => \"Issue\", \"body\" => \"Details\"}\n\nMore info at: https://docs.github.com/en/free-pro-team@latest/rest/reference/issues#create-an-issue","ref":"Tentacat.Issues.html#create/4-example","title":"Example - Tentacat.Issues.create/4","type":"function"},{"doc":"Filter repository issues.","ref":"Tentacat.Issues.html#filter/4","title":"Tentacat.Issues.filter/4","type":"function"},{"doc":"Tentacat.Issues.filter \"elixir-lang\", \"elixir\", %{state: \"open\"}\n    Tentacat.Issues.filter client, \"elixir-lang\", \"elixir\", %{state: \"open\"}\n\nMore info at: https://docs.github.com/en/free-pro-team@latest/rest/reference/issues#list-repository-issues","ref":"Tentacat.Issues.html#filter/4-example","title":"Example - Tentacat.Issues.filter/4","type":"function"},{"doc":"Get an issue.","ref":"Tentacat.Issues.html#find/4","title":"Tentacat.Issues.find/4","type":"function"},{"doc":"Tentacat.Issues.find \"elixir-lang\", \"elixir\", \"2974\"\n    Tentacat.Issues.find client, \"elixir-lang\", \"elixir\", \"2974\"\n\nMore info at: https://docs.github.com/en/free-pro-team@latest/rest/reference/issues#get-an-issue","ref":"Tentacat.Issues.html#find/4-example","title":"Example - Tentacat.Issues.find/4","type":"function"},{"doc":"List repository issues.","ref":"Tentacat.Issues.html#list/3","title":"Tentacat.Issues.list/3","type":"function"},{"doc":"Tentacat.Issues.list \"elixir-lang\", \"elixir\"\n    Tentacat.Issues.list client, \"elixir-lang\", \"elixir\"\n\nMore info at: https://docs.github.com/en/free-pro-team@latest/rest/reference/issues#list-repository-issues","ref":"Tentacat.Issues.html#list/3-example","title":"Example - Tentacat.Issues.list/3","type":"function"},{"doc":"Update an issue.\n\nPossible values for `body`:\n\n  * %{title: \"title of issue\"}\n  * %{body: \"body of issue\"}\n  * %{assignee: \"username\"}\n  * %{state: \"closed\"}\n  * %{milestone: 4}\n  * %{labels: [\"bug\", \"frontend\"]}","ref":"Tentacat.Issues.html#update/5","title":"Tentacat.Issues.update/5","type":"function"},{"doc":"Tentacat.Issues.update \"elixir-lang\", \"elixir\", \"2974\", %{\"assignee\" => \"edgurgel\"}\n    Tentacat.Issues.update client, \"elixir-lang\", \"elixir\", \"2974\", %{\"state\" => \"closed\"}\n\nMore info at: https://docs.github.com/en/free-pro-team@latest/rest/reference/issues#update-an-issue","ref":"Tentacat.Issues.html#update/5-example","title":"Example - Tentacat.Issues.update/5","type":"function"},{"doc":"","ref":"Tentacat.Issues.Comments.html","title":"Tentacat.Issues.Comments","type":"module"},{"doc":"Create a comment on an issue.\n\nComment body example:\n\n```elixir\n%{\n  \"body\" => \"Nice change\"\n}\n```","ref":"Tentacat.Issues.Comments.html#create/5","title":"Tentacat.Issues.Comments.create/5","type":"function"},{"doc":"Tentacat.Issues.Comments.create \"elixir-lang\", \"elixir\", 3970, comment_body\n\nMore info at: https://developer.github.com/v3/issues/comments/#create-a-comment","ref":"Tentacat.Issues.Comments.html#create/5-example","title":"Example - Tentacat.Issues.Comments.create/5","type":"function"},{"doc":"Delete a comment on an issue by id.","ref":"Tentacat.Issues.Comments.html#delete/5","title":"Tentacat.Issues.Comments.delete/5","type":"function"},{"doc":"Tentacat.Issues.Comments.delete \"elixir-lang\", \"elixir\", 882148\n\nMore info at: https://developer.github.com/v3/issues/comments/#delete-a-comment","ref":"Tentacat.Issues.Comments.html#delete/5-example","title":"Example - Tentacat.Issues.Comments.delete/5","type":"function"},{"doc":"Filter comments on an issue.\n\nParameters are `since`.","ref":"Tentacat.Issues.Comments.html#filter/5","title":"Tentacat.Issues.Comments.filter/5","type":"function"},{"doc":"Tentacat.Issues.Comments.filter \"elixir-lang\", \"elixir\", 3970, since: \"2016-05-04T23:59:59Z\"\n\nMore info at: https://developer.github.com/v3/issues/comments/#list-comments-on-an-issue","ref":"Tentacat.Issues.Comments.html#filter/5-example","title":"Example - Tentacat.Issues.Comments.filter/5","type":"function"},{"doc":"Filter comments on an issue.\n\nParameters are `sort`, `direction` and `since`.","ref":"Tentacat.Issues.Comments.html#filter_all/4","title":"Tentacat.Issues.Comments.filter_all/4","type":"function"},{"doc":"Tentacat.Issues.Comments.filter_all \"elixir-lang\", \"elixir\", dir: \"desc\", sort: \"updated\"\n\nMore info at: https://developer.github.com/v3/issues/comments/#list-comments-in-a-repository","ref":"Tentacat.Issues.Comments.html#filter_all/4-example","title":"Example - Tentacat.Issues.Comments.filter_all/4","type":"function"},{"doc":"Get a single comment on an issue by its id.","ref":"Tentacat.Issues.Comments.html#find/4","title":"Tentacat.Issues.Comments.find/4","type":"function"},{"doc":"Tentacat.Issues.Comments.find \"elixir-lang\", \"elixir\", 882148\n\nMore info at: https://developer.github.com/v3/issues/comments/#get-a-single-comment","ref":"Tentacat.Issues.Comments.html#find/4-example","title":"Example - Tentacat.Issues.Comments.find/4","type":"function"},{"doc":"List comments on an issue.\n\nIssue Comments are ordered by ascending ID.","ref":"Tentacat.Issues.Comments.html#list/4","title":"Tentacat.Issues.Comments.list/4","type":"function"},{"doc":"Tentacat.Issues.Comments.list \"elixir-lang\", \"elixir\", 3970\n\nMore info at: https://developer.github.com/v3/issues/comments/#list-comments-on-an-issue","ref":"Tentacat.Issues.Comments.html#list/4-example","title":"Example - Tentacat.Issues.Comments.list/4","type":"function"},{"doc":"List all comments on issues for a repository.\n\nBy default, Issue Comments are ordered by ascending ID.","ref":"Tentacat.Issues.Comments.html#list_all/3","title":"Tentacat.Issues.Comments.list_all/3","type":"function"},{"doc":"Tentacat.Issues.Comments.list_all \"elixir-lang\", \"elixir\"\n\nMore info at: https://developer.github.com/v3/issues/comments/#list-comments-in-a-repository","ref":"Tentacat.Issues.Comments.html#list_all/3-example","title":"Example - Tentacat.Issues.Comments.list_all/3","type":"function"},{"doc":"Update a comment on an issue by id.\n\nComment body example:\n\n```elixir\n%{\n  \"body\" => \"Nice change\"\n}\n```","ref":"Tentacat.Issues.Comments.html#update/5","title":"Tentacat.Issues.Comments.update/5","type":"function"},{"doc":"Tentacat.Issues.Comments.update \"elixir-lang\", \"elixir\", 882148, comment_body\n\nMore info at: https://developer.github.com/v3/issues/comments/#edit-a-comment","ref":"Tentacat.Issues.Comments.html#update/5-example","title":"Example - Tentacat.Issues.Comments.update/5","type":"function"},{"doc":"","ref":"Tentacat.Issues.Comments.Reactions.html","title":"Tentacat.Issues.Comments.Reactions","type":"module"},{"doc":"Create a reaction on an issue comment.\n\nReaction Request body example:\n\n```elixir\n%{\n  content: \"heart\"\n}","ref":"Tentacat.Issues.Comments.Reactions.html#create/5","title":"Tentacat.Issues.Comments.Reactions.create/5","type":"function"},{"doc":"Tentacat.Issues.Comments.Reactions.create \"elixir-lang\", \"elixir\", \"3\", %{ content: \"heart\" }, client\n\nMore info at: https://developer.github.com/v3/reactions/#create-reaction-for-an-issue-comment","ref":"Tentacat.Issues.Comments.Reactions.html#create/5-example","title":"Example - Tentacat.Issues.Comments.Reactions.create/5","type":"function"},{"doc":"Delete a reaction on an issue comment.","ref":"Tentacat.Issues.Comments.Reactions.html#delete/5","title":"Tentacat.Issues.Comments.Reactions.delete/5","type":"function"},{"doc":"Tentacat.Issues.Comments.Reactions.delete \"elixir-lang\", \"elixir\", \"3\", \"4\", client\n\nMore info at: https://developer.github.com/v3/reactions/#delete-an-issue-comment-reaction","ref":"Tentacat.Issues.Comments.Reactions.html#delete/5-example","title":"Example - Tentacat.Issues.Comments.Reactions.delete/5","type":"function"},{"doc":"List the reactions on an issue comment.","ref":"Tentacat.Issues.Comments.Reactions.html#list/4","title":"Tentacat.Issues.Comments.Reactions.list/4","type":"function"},{"doc":"Tentacat.Issues.Comments.Reactions.list \"elixir-lang\" , \"elixir\", \"3\"\n\nMore info at: https://developer.github.com/v3/reactions/#list-reactions-for-an-issue-comment","ref":"Tentacat.Issues.Comments.Reactions.html#list/4-example","title":"Example - Tentacat.Issues.Comments.Reactions.list/4","type":"function"},{"doc":"","ref":"Tentacat.Issues.Events.html","title":"Tentacat.Issues.Events","type":"module"},{"doc":"Get a single event on an issue by its id.","ref":"Tentacat.Issues.Events.html#find/4","title":"Tentacat.Issues.Events.find/4","type":"function"},{"doc":"Tentacat.Issues.Events.find \"elixir-lang\", \"elixir\", 882148\n\nMore info at: https://developer.github.com/v3/issues/events/#get-a-single-event","ref":"Tentacat.Issues.Events.html#find/4-example","title":"Example - Tentacat.Issues.Events.find/4","type":"function"},{"doc":"List events on an issue.","ref":"Tentacat.Issues.Events.html#list/4","title":"Tentacat.Issues.Events.list/4","type":"function"},{"doc":"Tentacat.Issues.Events.list \"elixir-lang\", \"elixir\", 3970\n\nMore info at: https://developer.github.com/v3/issues/events/#list-events-for-an-issue","ref":"Tentacat.Issues.Events.html#list/4-example","title":"Example - Tentacat.Issues.Events.list/4","type":"function"},{"doc":"List all events on issues for a repository.","ref":"Tentacat.Issues.Events.html#list_all/3","title":"Tentacat.Issues.Events.list_all/3","type":"function"},{"doc":"Tentacat.Issues.Events.list_all \"elixir-lang\", \"elixir\"\n\nMore info at: https://developer.github.com/v3/issues/events/#list-events-for-a-repository","ref":"Tentacat.Issues.Events.html#list_all/3-example","title":"Example - Tentacat.Issues.Events.list_all/3","type":"function"},{"doc":"","ref":"Tentacat.Issues.Labels.html","title":"Tentacat.Issues.Labels","type":"module"},{"doc":"Add labels to an issue.","ref":"Tentacat.Issues.Labels.html#add/5","title":"Tentacat.Issues.Labels.add/5","type":"function"},{"doc":"Tentacat.Issues.Labels.list \"elixir-lang\", \"elixir\", 3970\n\nMore info at: https://developer.github.com/v3/issues/labels/#add-labels-to-an-issue","ref":"Tentacat.Issues.Labels.html#add/5-example","title":"Example - Tentacat.Issues.Labels.add/5","type":"function"},{"doc":"List labels on an issue.","ref":"Tentacat.Issues.Labels.html#list/4","title":"Tentacat.Issues.Labels.list/4","type":"function"},{"doc":"Tentacat.Issues.Labels.list \"elixir-lang\", \"elixir\", 3970\n\nMore info at: https://developer.github.com/v3/issues/labels/#list-labels-on-an-issue","ref":"Tentacat.Issues.Labels.html#list/4-example","title":"Example - Tentacat.Issues.Labels.list/4","type":"function"},{"doc":"Remove a label from an issue.","ref":"Tentacat.Issues.Labels.html#remove/5","title":"Tentacat.Issues.Labels.remove/5","type":"function"},{"doc":"Tentacat.Issues.Labels.remove \"elixir-lang\", \"elixir\", 3970, \"Important\"\n\nMore info at: https://developer.github.com/v3/issues/labels/#remove-a-label-from-an-issue","ref":"Tentacat.Issues.Labels.html#remove/5-example","title":"Example - Tentacat.Issues.Labels.remove/5","type":"function"},{"doc":"","ref":"Tentacat.Issues.Reactions.html","title":"Tentacat.Issues.Reactions","type":"module"},{"doc":"Create a reaction on an issue.\n\nReaction Request body example:\n\n```elixir\n%{\n  content: \"heart\"\n}\n```","ref":"Tentacat.Issues.Reactions.html#create/5","title":"Tentacat.Issues.Reactions.create/5","type":"function"},{"doc":"Tentacat.Issues.Reactions.create \"elixir-lang\", \"elixir\", \"3\"\n\nMore info at: https://developer.github.com/v3/reactions/#create-reaction-for-an-issue","ref":"Tentacat.Issues.Reactions.html#create/5-example","title":"Example - Tentacat.Issues.Reactions.create/5","type":"function"},{"doc":"Delete a reaction on an issue.","ref":"Tentacat.Issues.Reactions.html#delete/5","title":"Tentacat.Issues.Reactions.delete/5","type":"function"},{"doc":"Tentacat.Issues.Reactions.delete \"elixir-lang\", \"elixir\", \"3\", \"4\"\n\nMore info at: https://developer.github.com/v3/reactions/#delete-an-issue-reaction","ref":"Tentacat.Issues.Reactions.html#delete/5-example","title":"Example - Tentacat.Issues.Reactions.delete/5","type":"function"},{"doc":"List the reactions on a issue.","ref":"Tentacat.Issues.Reactions.html#list/4","title":"Tentacat.Issues.Reactions.list/4","type":"function"},{"doc":"Tentacat.Issues.Reactions.list \"elixir-lang\" , \"elixir\", \"3\"\n\nMore info at: https://developer.github.com/v3/reactions/#list-reactions-for-an-issue","ref":"Tentacat.Issues.Reactions.html#list/4-example","title":"Example - Tentacat.Issues.Reactions.list/4","type":"function"},{"doc":"","ref":"Tentacat.Milestones.html","title":"Tentacat.Milestones","type":"module"},{"doc":"Create a milestone.\n\nPossible values for `body`:\n\n  * %{\"title\": \"v1.0\"}\n  * %{\"state\": \"open\"}\n  * %{\"description\": \"Tracking milestone for version 1.0\"}\n  * %{\"due_on\": \"2012-10-09T23:39:01Z\"}","ref":"Tentacat.Milestones.html#create/4","title":"Tentacat.Milestones.create/4","type":"function"},{"doc":"Tentacat.Milestones.create \"elixir-lang\", \"elixir\", %{\"title\" => \"Issue\", \"state\" => \"open\"}\n    Tentacat.Milestones.create \"elixir-lang\", \"elixir\", %{\"title\" => \"Issue\", \"state\" => \"closed\"}, client\n\nMore info at: https://developer.github.com/v3/issues/milestones/#create-a-milestone","ref":"Tentacat.Milestones.html#create/4-example","title":"Example - Tentacat.Milestones.create/4","type":"function"},{"doc":"Delete a milestone.","ref":"Tentacat.Milestones.html#delete/4","title":"Tentacat.Milestones.delete/4","type":"function"},{"doc":"Tentacat.Milestones.delete \"elixir-lang\", \"elixir\", \"2974\"\n    Tentacat.Milestones.delete \"elixir-lang\", \"elixir\", \"2974\", client\n\nMore info at: https://developer.github.com/v3/issues/milestones/#delete-a-milestone","ref":"Tentacat.Milestones.html#delete/4-example","title":"Example - Tentacat.Milestones.delete/4","type":"function"},{"doc":"Get a single milestone.","ref":"Tentacat.Milestones.html#find/4","title":"Tentacat.Milestones.find/4","type":"function"},{"doc":"Tentacat.Milestones.find \"elixir-lang\", \"elixir\", \"2974\"\n    Tentacat.Milestones.find \"elixir-lang\", \"elixir\", \"2974\", client\n\nMore info at: https://developer.github.com/v3/issues/milestones/#get-a-single-milestone","ref":"Tentacat.Milestones.html#find/4-example","title":"Example - Tentacat.Milestones.find/4","type":"function"},{"doc":"List milestones.","ref":"Tentacat.Milestones.html#list/3","title":"Tentacat.Milestones.list/3","type":"function"},{"doc":"Tentacat.Milestones.list \"elixir-lang\", \"elixir\"\n    Tentacat.Milestones.list \"elixir-lang\", \"elixir\", client\n\nMore info at: https://developer.github.com/v3/issues/milestones/#list-milestones-for-a-repository","ref":"Tentacat.Milestones.html#list/3-example","title":"Example - Tentacat.Milestones.list/3","type":"function"},{"doc":"Update a milestone.\n\nPossible values for `body`:\n\n  * %{\"title\": \"v1.0\"}\n  * %{\"state\": \"open\"}\n  * %{\"description\": \"Tracking milestone for version 1.0\"}\n  * %{\"due_on\": \"2012-10-09T23:39:01Z\"}","ref":"Tentacat.Milestones.html#update/5","title":"Tentacat.Milestones.update/5","type":"function"},{"doc":"Tentacat.Milestones.update \"elixir-lang\", \"elixir\", \"2974\", %{\"title\" => \"edgurgel\"}\n    Tentacat.Milestones.update \"elixir-lang\", \"elixir\", \"2974\", %{\"state\" => \"closed\"}, client\n\nMore info at: https://developer.github.com/v3/issues/milestones/#update-a-milestone","ref":"Tentacat.Milestones.html#update/5-example","title":"Example - Tentacat.Milestones.update/5","type":"function"},{"doc":"","ref":"Tentacat.Organizations.html","title":"Tentacat.Organizations","type":"module"},{"doc":"Get an organization.","ref":"Tentacat.Organizations.html#find/2","title":"Tentacat.Organizations.find/2","type":"function"},{"doc":"Tentacat.Orgnizations.find \"Codeminer42\"\n    Tentacat.Orgnizations.find client, \"Codeminer42\"\n\nMore info at: http://developer.github.com/v3/orgs/#get-an-organization","ref":"Tentacat.Organizations.html#find/2-example","title":"Example - Tentacat.Organizations.find/2","type":"function"},{"doc":"List all public organizations for a user.","ref":"Tentacat.Organizations.html#list/2","title":"Tentacat.Organizations.list/2","type":"function"},{"doc":"Tentacat.Organizations.list \"edgurgel\"\n    Tentacat.Organizations.list client, \"edgurgel\"\n\nMore info at: http://developer.github.com/v3/orgs/#list-user-organizations","ref":"Tentacat.Organizations.html#list/2-example","title":"Example - Tentacat.Organizations.list/2","type":"function"},{"doc":"List public and private organizations for the authenticated user.","ref":"Tentacat.Organizations.html#list_mine/1","title":"Tentacat.Organizations.list_mine/1","type":"function"},{"doc":"Tentacat.Organizations.list_mine client\n\nMore info at: http://developer.github.com/v3/orgs/#list-user-organizations","ref":"Tentacat.Organizations.html#list_mine/1-example","title":"Example - Tentacat.Organizations.list_mine/1","type":"function"},{"doc":"Update an organization.\n\nPossible values for `options`:\n\n  * [billing_email: \"billing email\"]\n  * [company: \"Company42\"]\n  * [email: \"public email\"]\n  * [location: \"Brazil\"]\n  * [name: \"company42\"]","ref":"Tentacat.Organizations.html#update/3","title":"Tentacat.Organizations.update/3","type":"function"},{"doc":"Tentacat.Organizations.update(client, \"codeminer42\", [email: \"public@codeminer42.com\", location: \"São Paulo\"])\n\nMore info at: http://developer.github.com/v3/orgs/#edit-an-organization","ref":"Tentacat.Organizations.html#update/3-example","title":"Example - Tentacat.Organizations.update/3","type":"function"},{"doc":"","ref":"Tentacat.Organizations.Hooks.html","title":"Tentacat.Organizations.Hooks","type":"module"},{"doc":"Create webhook for an organization.","ref":"Tentacat.Organizations.Hooks.html#create/3","title":"Tentacat.Organizations.Hooks.create/3","type":"function"},{"doc":"Tentacat.Organizations.Hooks.create(client, \"github\", hook_body)\n\nMore info at: http://developer.github.com/v3/orgs/hooks/#create-a-hook","ref":"Tentacat.Organizations.Hooks.html#create/3-example","title":"Example - Tentacat.Organizations.Hooks.create/3","type":"function"},{"doc":"Get a webhook for an organization by id.","ref":"Tentacat.Organizations.Hooks.html#find/3","title":"Tentacat.Organizations.Hooks.find/3","type":"function"},{"doc":"Tentacat.Organizations.Hooks.find(client, \"github\", \"1234567\")\n\nMore info at: http://developer.github.com/v3/orgs/hooks/#get-single-hook","ref":"Tentacat.Organizations.Hooks.html#find/3-example","title":"Example - Tentacat.Organizations.Hooks.find/3","type":"function"},{"doc":"List hooks of an organization.\n\nThe response will differ if the authenticated user is also owner of the\norganization","ref":"Tentacat.Organizations.Hooks.html#list/2","title":"Tentacat.Organizations.Hooks.list/2","type":"function"},{"doc":"Tentacat.Organizations.Hooks.list \"github\"\n    Tentacat.Organizations.Hooks.list client, \"github\"\n\nMore info at: http://developer.github.com/v3/orgs/hooks/#list-hooks","ref":"Tentacat.Organizations.Hooks.html#list/2-example","title":"Example - Tentacat.Organizations.Hooks.list/2","type":"function"},{"doc":"This will trigger a ping event to be sent to the hook.","ref":"Tentacat.Organizations.Hooks.html#ping/3","title":"Tentacat.Organizations.Hooks.ping/3","type":"function"},{"doc":"Tentacat.Organizations.Hooks.ping(client, \"github\", \"1234567\")\n\nMore info at: http://developer.github.com/v3/orgs/hooks/#ping-a-hook","ref":"Tentacat.Organizations.Hooks.html#ping/3-example","title":"Example - Tentacat.Organizations.Hooks.ping/3","type":"function"},{"doc":"Delete an organization's webhook by it's Id.","ref":"Tentacat.Organizations.Hooks.html#remove/3","title":"Tentacat.Organizations.Hooks.remove/3","type":"function"},{"doc":"Tentacat.Organizations.Hooks.remove(client, \"github\", \"1234567\")\n\nMore info at: http://developer.github.com/v3/orgs/hooks/#delete-a-hook","ref":"Tentacat.Organizations.Hooks.html#remove/3-example","title":"Example - Tentacat.Organizations.Hooks.remove/3","type":"function"},{"doc":"Update organization.\n\nSample body content:\n\n```elixir\nhook_body = %{\n  \"name\" => \"web\",\n  \"active\" => true,\n  \"events\" => [ \"push\", \"pull_request\" ],\n  \"config\" => {\n    \"url\" => \"http://example.com/webhook\",\n    \"content_type\" => \"json\"\n  }\n}\n```","ref":"Tentacat.Organizations.Hooks.html#update/4","title":"Tentacat.Organizations.Hooks.update/4","type":"function"},{"doc":"Tentacat.Organizations.Hooks.update(client, \"github\", \"1234567\", hook_body)\n\nMore info at: http://developer.github.com/v3/orgs/hooks/#edit-a-hook","ref":"Tentacat.Organizations.Hooks.html#update/4-example","title":"Example - Tentacat.Organizations.Hooks.update/4","type":"function"},{"doc":"","ref":"Tentacat.Organizations.Members.html","title":"Tentacat.Organizations.Members","type":"module"},{"doc":"Conceal a `user`'s membership on an `organization`.","ref":"Tentacat.Organizations.Members.html#conceal/3","title":"Tentacat.Organizations.Members.conceal/3","type":"function"},{"doc":"Tentacat.Organizations.Members.conceal \"github\", \"mojombo\"\n\nMore info at: http://developer.github.com/v3/orgs/members/#conceal-a-users-membership","ref":"Tentacat.Organizations.Members.html#conceal/3-example","title":"Example - Tentacat.Organizations.Members.conceal/3","type":"function"},{"doc":"List members of a `organization`.\n\nThe response will differ if the authenticated user is also owner of the\norganization.","ref":"Tentacat.Organizations.Members.html#list/2","title":"Tentacat.Organizations.Members.list/2","type":"function"},{"doc":"Tentacat.Organizations.Members.list \"github\"\n    Tentacat.Organizations.Members.list client, \"github\"\n\nMore info at: http://developer.github.com/v3/orgs/members/#members-list","ref":"Tentacat.Organizations.Members.html#list/2-example","title":"Example - Tentacat.Organizations.Members.list/2","type":"function"},{"doc":"Check if a `user` is, publicly or privately, a member of the `organization`.\n\nPossible responses: 204, 404 or 302.","ref":"Tentacat.Organizations.Members.html#member?/3","title":"Tentacat.Organizations.Members.member?/3","type":"function"},{"doc":"Tentacat.Organizations.Members.member? \"github\", \"mojombo\"\n    Tentacat.Organizations.Members.member? client, \"github\", \"mojombo\"\n\nMore info at: http://developer.github.com/v3/orgs/members/#check-membership","ref":"Tentacat.Organizations.Members.html#member?/3-example","title":"Example - Tentacat.Organizations.Members.member?/3","type":"function"},{"doc":"List of publicized members of an `organization`.","ref":"Tentacat.Organizations.Members.html#public_list/2","title":"Tentacat.Organizations.Members.public_list/2","type":"function"},{"doc":"Tentacat.Organizations.Members.public_list \"github\"\n    Tentacat.Organizations.Members.public_list client, \"github\"\n\nMore info at: http://developer.github.com/v3/orgs/members/#public-members-list","ref":"Tentacat.Organizations.Members.html#public_list/2-example","title":"Example - Tentacat.Organizations.Members.public_list/2","type":"function"},{"doc":"Check if a `user` is a public member of the `organization`.\n\nPossible responses: 204 or 404.","ref":"Tentacat.Organizations.Members.html#public_member?/3","title":"Tentacat.Organizations.Members.public_member?/3","type":"function"},{"doc":"Tentacat.Organizations.Members.public_member? \"github\", \"mojombo\"\n    Tentacat.Organizations.Members.public_member? client, \"github\", \"mojombo\"\n\nMore info at: http://developer.github.com/v3/orgs/members/#public-members-list","ref":"Tentacat.Organizations.Members.html#public_member?/3-example","title":"Example - Tentacat.Organizations.Members.public_member?/3","type":"function"},{"doc":"Publicize a `user`'s membership on an `organization`.","ref":"Tentacat.Organizations.Members.html#publicize/3","title":"Tentacat.Organizations.Members.publicize/3","type":"function"},{"doc":"Tentacat.Organizations.Members.publicize \"github\", \"mojombo\"\n\nMore info at: http://developer.github.com/v3/orgs/members/#publicize-a-users-membership","ref":"Tentacat.Organizations.Members.html#publicize/3-example","title":"Example - Tentacat.Organizations.Members.publicize/3","type":"function"},{"doc":"Remove a member `user` from an `organization`.","ref":"Tentacat.Organizations.Members.html#remove/3","title":"Tentacat.Organizations.Members.remove/3","type":"function"},{"doc":"Tentacat.Organizations.Members.remove client, \"github\", \"mojombo\"\n\nMore info at: http://developer.github.com/v3/orgs/members/#remove-organization-membership","ref":"Tentacat.Organizations.Members.html#remove/3-example","title":"Example - Tentacat.Organizations.Members.remove/3","type":"function"},{"doc":"","ref":"Tentacat.Organizations.Projects.html","title":"Tentacat.Organizations.Projects","type":"module"},{"doc":"Create a new project for an organization.\n\nPossible values for options:\n\n  * %{name: \"name of project board\"}\n  * %{body: \"description of the project\"}","ref":"Tentacat.Organizations.Projects.html#create/3","title":"Tentacat.Organizations.Projects.create/3","type":"function"},{"doc":"Tentacat.Organizations.Projects.create client, \"elixir-lang\", %{ name: \"tentacat\", body: \"project board for tentacat\"}\n\nMore info at: https://developer.github.com/v3/projects/#create-an-organization-project","ref":"Tentacat.Organizations.Projects.html#create/3-example","title":"Example - Tentacat.Organizations.Projects.create/3","type":"function"},{"doc":"Lists the projects in an organization.","ref":"Tentacat.Organizations.Projects.html#list/2","title":"Tentacat.Organizations.Projects.list/2","type":"function"},{"doc":"Tentacat.Organizations.Projects.list client, \"elixir\"\n\nMore info at: https://developer.github.com/v3/projects/#list-organization-projects","ref":"Tentacat.Organizations.Projects.html#list/2-example","title":"Example - Tentacat.Organizations.Projects.list/2","type":"function"},{"doc":"","ref":"Tentacat.Organizations.Teams.html","title":"Tentacat.Organizations.Teams","type":"module"},{"doc":"Create a team.\n\nCreate body example:\n\n```elixir\n%{\n  \"name\" => \"my new team\",\n  \"description\" => \"Team for everyone with commit access\",\n  \"repo_names\" => [\n    \"my_org/secret_repo\",\n    \"my_org/secret_repo2\",\n  ],\n  \"privacy\" => \"closed\",\n}\n```","ref":"Tentacat.Organizations.Teams.html#create/3","title":"Tentacat.Organizations.Teams.create/3","type":"function"},{"doc":"Tentacat.Organizations.Teams.create client, \"my_org\", body\n\nMore info at: https://developer.github.com/v3/orgs/teams/#create-team","ref":"Tentacat.Organizations.Teams.html#create/3-example","title":"Example - Tentacat.Organizations.Teams.create/3","type":"function"},{"doc":"Delete a team.","ref":"Tentacat.Organizations.Teams.html#delete/2","title":"Tentacat.Organizations.Teams.delete/2","type":"function"},{"doc":"Tentacat.Organizations.Teams.delete client, \"1485060\"\n\nMore info at: https://developer.github.com/v3/orgs/teams/#delete-team","ref":"Tentacat.Organizations.Teams.html#delete/2-example","title":"Example - Tentacat.Organizations.Teams.delete/2","type":"function"},{"doc":"Get a team.","ref":"Tentacat.Organizations.Teams.html#find/2","title":"Tentacat.Organizations.Teams.find/2","type":"function"},{"doc":"Tentacat.Orgnizations.Teams.find \"1485060\"\n    Tentacat.Orgnizations.Teams.find client, \"1485060\"\n\nMore info at: https://developer.github.com/v3/orgs/teams/#get-team","ref":"Tentacat.Organizations.Teams.html#find/2-example","title":"Example - Tentacat.Organizations.Teams.find/2","type":"function"},{"doc":"List all public teams for an organization.","ref":"Tentacat.Organizations.Teams.html#list/2","title":"Tentacat.Organizations.Teams.list/2","type":"function"},{"doc":"Tentacat.Organizations.Teams.list \"my_org\"\n    Tentacat.Organizations.Teams.list client, \"my_org\"\n\nMore info at: https://developer.github.com/v3/orgs/teams/#list-teams","ref":"Tentacat.Organizations.Teams.html#list/2-example","title":"Example - Tentacat.Organizations.Teams.list/2","type":"function"},{"doc":"Update a team.\n\nUpdate body example:\n\n```elixir\n%{\n  \"name\": \"Super Admins\",\n  \"description\": \"Team for everyone with commit and admin access\",\n}\n```","ref":"Tentacat.Organizations.Teams.html#update/3","title":"Tentacat.Organizations.Teams.update/3","type":"function"},{"doc":"Tentacat.Organizations.Teams.update client, \"1485060\", body\n\nMore info at: https://developer.github.com/v3/orgs/teams/#edit-team","ref":"Tentacat.Organizations.Teams.html#update/3-example","title":"Example - Tentacat.Organizations.Teams.update/3","type":"function"},{"doc":"","ref":"Tentacat.Projects.html","title":"Tentacat.Projects","type":"module"},{"doc":"Delete a `project`.","ref":"Tentacat.Projects.html#delete/2","title":"Tentacat.Projects.delete/2","type":"function"},{"doc":"Tentacat.Projects.delete client, 12345\n\nMore info at: https://developer.github.com/v3/projects/#delete-a-project","ref":"Tentacat.Projects.html#delete/2-example","title":"Example - Tentacat.Projects.delete/2","type":"function"},{"doc":"Get a single `project`.","ref":"Tentacat.Projects.html#find/2","title":"Tentacat.Projects.find/2","type":"function"},{"doc":"Tentacat.Projects.find client, 12345\n\nMore info at: https://developer.github.com/v3/projects/#get-a-project","ref":"Tentacat.Projects.html#find/2-example","title":"Example - Tentacat.Projects.find/2","type":"function"},{"doc":"Update the `project`.\n\nPossible values for `options`:\n\n  * name: \"name of project\"\n  * body: \"description of project\"\n  * state: \"open\"\n  * organization_permission: \"read\"\n  * private: true","ref":"Tentacat.Projects.html#update/3","title":"Tentacat.Projects.update/3","type":"function"},{"doc":"Tentacat.Projects.update client, %{name: \"My Board\", private: true}\n\nMore info at: https://developer.github.com/v3/projects/#update-a-project","ref":"Tentacat.Projects.html#update/3-example","title":"Example - Tentacat.Projects.update/3","type":"function"},{"doc":"","ref":"Tentacat.Pulls.html","title":"Tentacat.Pulls","type":"module"},{"doc":"Create a pull request.\n\nPull Request body example:\n\n```elixir\n%{\n  \"title\" => \"Amazing new feature\",\n  \"body\"  => \"Please pull this in!\",\n  \"head\"  => \"octocat:new-feature\",\n  \"base\"  => \"master\"\n }\n```\n\nAlternative input (using an existing issue):\n\n```elixir\n%{\n  \"issue\" => \"5\",\n  \"head\"  => \"octocat:new-feature\",\n  \"base\"  => \"master\"\n }\n```","ref":"Tentacat.Pulls.html#create/4","title":"Tentacat.Pulls.create/4","type":"function"},{"doc":"Tentacat.Pulls.create client, \"elixir-lang\", \"elixir\", body\n\nMore info at: https://developer.github.com/v3/pulls/#create-a-pull-request","ref":"Tentacat.Pulls.html#create/4-example","title":"Example - Tentacat.Pulls.create/4","type":"function"},{"doc":"Filter pull requests.","ref":"Tentacat.Pulls.html#filter/4","title":"Tentacat.Pulls.filter/4","type":"function"},{"doc":"Tentacat.Pulls.filter \"elixir-lang\", \"elixir\", %{state: \"open\"}\n    Tentacat.Pulls.filter client, \"elixir-lang\", \"elixir\", %{state: \"open\"}\n\nMore info at: https://developer.github.com/v3/pulls/#parameters","ref":"Tentacat.Pulls.html#filter/4-example","title":"Example - Tentacat.Pulls.filter/4","type":"function"},{"doc":"Get a single pull request.","ref":"Tentacat.Pulls.html#find/4","title":"Tentacat.Pulls.find/4","type":"function"},{"doc":"Tentacat.Pulls.find \"elixir-lang\", \"elixir\", \"2974\"\n    Tentacat.Pulls.find client, \"elixir-lang\", \"elixir\", \"2974\"\n\nMore info at: https://developer.github.com/v3/pulls/#get-a-single-pull-request","ref":"Tentacat.Pulls.html#find/4-example","title":"Example - Tentacat.Pulls.find/4","type":"function"},{"doc":"Get if a pull request has been merged.","ref":"Tentacat.Pulls.html#has_been_merged/4","title":"Tentacat.Pulls.has_been_merged/4","type":"function"},{"doc":"Tentacat.Pulls.has_been_merged client, \"elixir-lang\", \"elixir\", \"4876\"\n\nMore info at: https://developer.github.com/v3/pulls/#get-if-a-pull-request-has-been-merged","ref":"Tentacat.Pulls.html#has_been_merged/4-example","title":"Example - Tentacat.Pulls.has_been_merged/4","type":"function"},{"doc":"List pull requests.","ref":"Tentacat.Pulls.html#list/3","title":"Tentacat.Pulls.list/3","type":"function"},{"doc":"Tentacat.Pulls.list \"elixir-lang\", \"elixir\"\n    Tentacat.Pulls.list client, \"elixir-lang\", \"elixir\"\n\nMore info at: https://developer.github.com/v3/pulls/#list-pull-requests","ref":"Tentacat.Pulls.html#list/3-example","title":"Example - Tentacat.Pulls.list/3","type":"function"},{"doc":"Merge a pull request (Merge Button).\n\nPull Request Merge body example:\n\n```elixir\n%{\n  \"commit_message\" => \"not the default commit_message\",\n  \"sha\"  => \"8e50d79f2ba0d665b9966908cbf22c6f463228d6\"\n }\n```","ref":"Tentacat.Pulls.html#merge/5","title":"Tentacat.Pulls.merge/5","type":"function"},{"doc":"Tentacat.Pulls.merge client, \"elixir-lang\", \"elixir\", \"4876\", body\n\nMore info at: https://developer.github.com/v3/pulls/#merge-a-pull-request-merge-button","ref":"Tentacat.Pulls.html#merge/5-example","title":"Example - Tentacat.Pulls.merge/5","type":"function"},{"doc":"Update a pull request.\n\nPull Request body example:\n\n```elixir\n%{\n  \"title\" => \"new title\",\n  \"body\"  => \"updated body\",\n  \"state\" => \"open\"\n }\n```","ref":"Tentacat.Pulls.html#update/5","title":"Tentacat.Pulls.update/5","type":"function"},{"doc":"Tentacat.Pulls.update client, \"elixir-lang\", \"elixir\", \"2974\", body\n\nMore info at: https://developer.github.com/v3/pulls/#update-a-pull-request","ref":"Tentacat.Pulls.html#update/5-example","title":"Example - Tentacat.Pulls.update/5","type":"function"},{"doc":"","ref":"Tentacat.Pulls.Comments.html","title":"Tentacat.Pulls.Comments","type":"module"},{"doc":"Create a comment for a pull request.\n\nComment body example:\n\n```elixir\n%{\n  \"body\"      => \"Nice change\",\n  \"commit_id\" => \"6dcb09b5b57875f334f61aebed695e2e4193db5e\",\n  \"path\"      => \"file1.txt\",\n  \"position\"  =>  4\n}\n```","ref":"Tentacat.Pulls.Comments.html#create/5","title":"Tentacat.Pulls.Comments.create/5","type":"function"},{"doc":"Tentacat.Pulls.Comments.create client, \"elixir-lang\", \"elixir\", 2974, comment_body\n\nMore info at: https://developer.github.com/v3/pulls/comments/#create-a-comment","ref":"Tentacat.Pulls.Comments.html#create/5-example","title":"Example - Tentacat.Pulls.Comments.create/5","type":"function"},{"doc":"Filter pull requests comments in a repository. Parameters are `sort`, `dir`, and `since`..","ref":"Tentacat.Pulls.Comments.html#filter_all/4","title":"Tentacat.Pulls.Comments.filter_all/4","type":"function"},{"doc":"Tentacat.Pulls.Comments.filter_all \"elixir-lang\", \"elixir\", %{sort: \"updated\", dir: \"desc\"}\n    Tentacat.Pulls.Comments.filter_all client, \"elixir-lang\", \"elixir\", %{sort: \"updated\", dir: \"desc\"}\n\nMore info at: https://developer.github.com/v3/pulls/comments/#list-comments-in-a-repository","ref":"Tentacat.Pulls.Comments.html#filter_all/4-example","title":"Example - Tentacat.Pulls.Comments.filter_all/4","type":"function"},{"doc":"Get a single comment for a repository by comment id.","ref":"Tentacat.Pulls.Comments.html#find/4","title":"Tentacat.Pulls.Comments.find/4","type":"function"},{"doc":"Tentacat.Pulls.Comments.find \"elixir-lang\", \"elixir\", \"22377723\"\n    Tentacat.Pulls.Comments.find client, \"elixir-lang\", \"elixir\", \"22377723\"\n\nMore info at: https://developer.github.com/v3/pulls/comments/#get-a-single-comment","ref":"Tentacat.Pulls.Comments.html#find/4-example","title":"Example - Tentacat.Pulls.Comments.find/4","type":"function"},{"doc":"List comments on a pull request.","ref":"Tentacat.Pulls.Comments.html#list/4","title":"Tentacat.Pulls.Comments.list/4","type":"function"},{"doc":"Tentacat.Pulls.Comments.list \"elixir-lang\", \"elixir\", \"2974\"\n    Tentacat.Pulls.Comments.list client, \"elixir-lang\", \"elixir\", \"2974\"\n\nMore info at: https://developer.github.com/v3/pulls/comments/#list-comments-on-a-pull-request","ref":"Tentacat.Pulls.Comments.html#list/4-example","title":"Example - Tentacat.Pulls.Comments.list/4","type":"function"},{"doc":"List pull requests comments in a repository.","ref":"Tentacat.Pulls.Comments.html#list_all/3","title":"Tentacat.Pulls.Comments.list_all/3","type":"function"},{"doc":"Tentacat.Pulls.Comments.list_all \"elixir-lang\", \"elixir\"\n    Tentacat.Pulls.Comments.list_all client, \"elixir-lang\", \"elixir\"\n\nMore info at: https://developer.github.com/v3/pulls/comments/#list-comments-in-a-repository","ref":"Tentacat.Pulls.Comments.html#list_all/3-example","title":"Example - Tentacat.Pulls.Comments.list_all/3","type":"function"},{"doc":"Delete a pull request's comment by it's Id.","ref":"Tentacat.Pulls.Comments.html#remove/4","title":"Tentacat.Pulls.Comments.remove/4","type":"function"},{"doc":"Tentacat.Pulls.Comments.remove client, \"elixir-lang\", \"elixir\", \"22377723\"\n\nMore info at: https://developer.github.com/v3/pulls/comments/#delete-a-comment","ref":"Tentacat.Pulls.Comments.html#remove/4-example","title":"Example - Tentacat.Pulls.Comments.remove/4","type":"function"},{"doc":"Edit a comment for a pull request.","ref":"Tentacat.Pulls.Comments.html#update/5","title":"Tentacat.Pulls.Comments.update/5","type":"function"},{"doc":"Tentacat.Pulls.Comments.update client, \"elixir-lang\", \"elixir\", \"22377723\", comment_body\n\nMore info at: https://developer.github.com/v3/pulls/comments/#edit-a-comment","ref":"Tentacat.Pulls.Comments.html#update/5-example","title":"Example - Tentacat.Pulls.Comments.update/5","type":"function"},{"doc":"","ref":"Tentacat.Pulls.Comments.Reactions.html","title":"Tentacat.Pulls.Comments.Reactions","type":"module"},{"doc":"Create a reaction on an issue\n\nReaction Request body example:\n    %{ content: \"heart\" }\n\n\n#","ref":"Tentacat.Pulls.Comments.Reactions.html#create/5","title":"Tentacat.Pulls.Comments.Reactions.create/5","type":"function"},{"doc":"Tentacat.Pulls.Comments.Reactions.create client, \"elixir-lang\", \"elixir\", \"3\"\n\nMore info at: https://developer.github.com/v3/reactions/#create-reaction-for-a-pull-request-review-comment","ref":"Tentacat.Pulls.Comments.Reactions.html#create/5-example","title":"Example - Tentacat.Pulls.Comments.Reactions.create/5","type":"function"},{"doc":"List the reactions on a issue","ref":"Tentacat.Pulls.Comments.Reactions.html#list/4","title":"Tentacat.Pulls.Comments.Reactions.list/4","type":"function"},{"doc":"Tentacat.Pulls.Comments.Reactions.list \"elixir-lang\" , \"elixir\", \"3\"\n\nMore info at: https://developer.github.com/v3/reactions/#list-reactions-for-a-pull-request-review-comment","ref":"Tentacat.Pulls.Comments.Reactions.html#list/4-example","title":"Example - Tentacat.Pulls.Comments.Reactions.list/4","type":"function"},{"doc":"","ref":"Tentacat.Pulls.Commits.html","title":"Tentacat.Pulls.Commits","type":"module"},{"doc":"List commits on a pull request.","ref":"Tentacat.Pulls.Commits.html#list/4","title":"Tentacat.Pulls.Commits.list/4","type":"function"},{"doc":"Tentacat.Pulls.Commits.list \"elixir-lang\", \"elixir\", \"2974\"\n    Tentacat.Pulls.Commits.list client, \"elixir-lang\", \"elixir\", \"2974\"\n\nMore info at: https://developer.github.com/v3/pulls/#list-commits-on-a-pull-request","ref":"Tentacat.Pulls.Commits.html#list/4-example","title":"Example - Tentacat.Pulls.Commits.list/4","type":"function"},{"doc":"","ref":"Tentacat.Pulls.Files.html","title":"Tentacat.Pulls.Files","type":"module"},{"doc":"List pull requests files.","ref":"Tentacat.Pulls.Files.html#list/4","title":"Tentacat.Pulls.Files.list/4","type":"function"},{"doc":"Tentacat.Pulls.Files.list \"elixir-lang\", \"elixir\", \"2974\"\n    Tentacat.Pulls.Files.list client, \"elixir-lang\", \"elixir\", \"2974\"\n\nMore info at: https://developer.github.com/v3/pulls/#list-pull-requests-files","ref":"Tentacat.Pulls.Files.html#list/4-example","title":"Example - Tentacat.Pulls.Files.list/4","type":"function"},{"doc":"","ref":"Tentacat.Pulls.ReviewRequests.html","title":"Tentacat.Pulls.ReviewRequests","type":"module"},{"doc":"Create a review request.\n\nReview Request body example:\n\n```elixir\n%{\n  \"reviewers\" => [\"octocat\"]\n}\n```","ref":"Tentacat.Pulls.ReviewRequests.html#create/5","title":"Tentacat.Pulls.ReviewRequests.create/5","type":"function"},{"doc":"Tentacat.Pulls.ReviewRequests.create client, \"elixir-lang\", \"elixir\", body\n\nMore info at: https://developer.github.com/v3/pulls/review_requests/#create-a-review-request","ref":"Tentacat.Pulls.ReviewRequests.html#create/5-example","title":"Example - Tentacat.Pulls.ReviewRequests.create/5","type":"function"},{"doc":"List review requests in a pull request.","ref":"Tentacat.Pulls.ReviewRequests.html#list/4","title":"Tentacat.Pulls.ReviewRequests.list/4","type":"function"},{"doc":"Tentacat.Pulls.ReviewRequests.list \"elixir-lang\", \"elixir\", 1\n    Tentacat.Pulls.ReviewRequests.list client, \"elixir-lang\", \"elixir\", 1\n\nMore info at: https://developer.github.com/v3/pulls/review_requests/#list-review-requests","ref":"Tentacat.Pulls.ReviewRequests.html#list/4-example","title":"Example - Tentacat.Pulls.ReviewRequests.list/4","type":"function"},{"doc":"Delete a review request.","ref":"Tentacat.Pulls.ReviewRequests.html#remove/5","title":"Tentacat.Pulls.ReviewRequests.remove/5","type":"function"},{"doc":"Tentacat.Pulls.ReviewRequests.remove client, \"elixir-lang\", \"elixir\", 1, [\"octocat\"]\n\nMore info at: https://developer.github.com/v3/pulls/review_requests/#delete-a-review-request","ref":"Tentacat.Pulls.ReviewRequests.html#remove/5-example","title":"Example - Tentacat.Pulls.ReviewRequests.remove/5","type":"function"},{"doc":"","ref":"Tentacat.Pulls.Reviews.html","title":"Tentacat.Pulls.Reviews","type":"module"},{"doc":"Create a new review on a pull request.","ref":"Tentacat.Pulls.Reviews.html#create/5","title":"Tentacat.Pulls.Reviews.create/5","type":"function"},{"doc":"body = %{\n      \"commit_id\"=> \"ecdd80bb57125d7ba9641ffaa4d7d2c19d3f3091\",\n      \"body\"=> \"This is close to perfect! Please address the suggested inline change.\",\n      \"event\"=> \"REQUEST_CHANGES\",\n      \"comments\"=> [\n        %{\n          \"path\"=> \"file.md\",\n          \"position\"=> 6,\n          \"body\"=> \"Please add more information here, and fix this typo.\"\n        }\n      ]\n    }\n\n    Tentacat.Pulls.Reviews.create \"elixir-lang\", \"elixir\", 1, body\n    Tentacat.Pulls.Reviews.create client, \"elixir-lang\", \"elixir\", 1, body\n\nMore info at: https://developer.github.com/v3/pulls/reviews/#create-a-pull-request-review","ref":"Tentacat.Pulls.Reviews.html#create/5-example","title":"Example - Tentacat.Pulls.Reviews.create/5","type":"function"},{"doc":"List reviews on a pull request.","ref":"Tentacat.Pulls.Reviews.html#list/4","title":"Tentacat.Pulls.Reviews.list/4","type":"function"},{"doc":"Tentacat.Pulls.Reviews.list \"elixir-lang\", \"elixir\", 1\n    Tentacat.Pulls.Reviews.list client, \"elixir-lang\", \"elixir\", 1\n\nMore info at: https://developer.github.com/v3/pulls/reviews/#list-reviews-on-a-pull-request","ref":"Tentacat.Pulls.Reviews.html#list/4-example","title":"Example - Tentacat.Pulls.Reviews.list/4","type":"function"},{"doc":"","ref":"Tentacat.Reactions.html","title":"Tentacat.Reactions","type":"module"},{"doc":"Delete a reaction.","ref":"Tentacat.Reactions.html#delete/2","title":"Tentacat.Reactions.delete/2","type":"function"},{"doc":"Tentacat.Reactions.delete(client, reaction_id)\n\n\nMore info at: https://developer.github.com/v3/reactions/#delete-a-reaction","ref":"Tentacat.Reactions.html#delete/2-example","title":"Example - Tentacat.Reactions.delete/2","type":"function"},{"doc":"","ref":"Tentacat.References.html","title":"Tentacat.References","type":"module"},{"doc":"Create a Reference.\n\nReference body example:\n\n```elixir\n%{\n  \"ref\" => \"refs/heads/emj-otp-18\",\n  \"sha\" => \"aa218f56b14c9653891f9e74264a383fa43fefbd\"\n}\n```","ref":"Tentacat.References.html#create/4","title":"Tentacat.References.create/4","type":"function"},{"doc":"Tentacat.References.create client, \"elixir-lang\", \"elixir\", ref_body\n\nMore info at: https://developer.github.com/v3/git/refs/#create-a-reference","ref":"Tentacat.References.html#create/4-example","title":"Example - Tentacat.References.create/4","type":"function"},{"doc":"Get a Reference.","ref":"Tentacat.References.html#find/4","title":"Tentacat.References.find/4","type":"function"},{"doc":"Tentacat.References.find \"elixir-lang\", \"elixir\", \"heads/emj-otp-18\"\n    Tentacat.References.find client, \"elixir-lang\", \"elixir\", \"heads/emj-otp-18\"\n\nMore info at: https://developer.github.com/v3/git/refs/#get-a-reference","ref":"Tentacat.References.html#find/4-example","title":"Example - Tentacat.References.find/4","type":"function"},{"doc":"Get all References.","ref":"Tentacat.References.html#list/3","title":"Tentacat.References.list/3","type":"function"},{"doc":"Tentacat.References.list \"elixir-lang\", \"elixir\"\n    Tentacat.References.list client, \"elixir-lang\", \"elixir\"\n\nMore info at: https://developer.github.com/v3/git/refs/#get-all-references","ref":"Tentacat.References.html#list/3-example","title":"Example - Tentacat.References.list/3","type":"function"},{"doc":"Delete a Reference.","ref":"Tentacat.References.html#remove/4","title":"Tentacat.References.remove/4","type":"function"},{"doc":"Tentacat.References.remove client, \"elixir-lang\", \"elixir\", \"heads/emj-otp-18\"\n    Tentacat.References.remove client, \"elixir-lang\", \"elixir\", \"tags/v1.0.2\"\n\nMore info at: https://developer.github.com/v3/git/refs/#delete-a-reference","ref":"Tentacat.References.html#remove/4-example","title":"Example - Tentacat.References.remove/4","type":"function"},{"doc":"Update a Reference.\n\nReference body example:\n\n```elixir\n%{\n  \"sha\"   => \"aa218f56b14c9653891f9e74264a383fa43fefbd\",\n  \"force\" => true\n}\n```","ref":"Tentacat.References.html#update/5","title":"Tentacat.References.update/5","type":"function"},{"doc":"Tentacat.References.update client, \"elixir-lang\", \"elixir\", \"heads/emj-otp-18\", body\n\nMore info at: https://developer.github.com/v3/git/refs/#update-a-reference","ref":"Tentacat.References.html#update/5-example","title":"Example - Tentacat.References.update/5","type":"function"},{"doc":"","ref":"Tentacat.Releases.html","title":"Tentacat.Releases","type":"module"},{"doc":"Create a new release from the given tag.","ref":"Tentacat.Releases.html#create/5","title":"Tentacat.Releases.create/5","type":"function"},{"doc":"Tentacat.Releases.create(client, \"v0.11.0\", elixir-lang\", \"elixir\")\n\nMore info at: http://developer.github.com/v3/repos/releases/#create-a-release","ref":"Tentacat.Releases.html#create/5-example","title":"Example - Tentacat.Releases.create/5","type":"function"},{"doc":"Delete a release.","ref":"Tentacat.Releases.html#delete/4","title":"Tentacat.Releases.delete/4","type":"function"},{"doc":"Tentacat.Releases.delete(client, 95071, \"elixir-lang\", \"elixir\")\n\nMore info at: http://developer.github.com/v3/repos/releases/#delete-a-release","ref":"Tentacat.Releases.html#delete/4-example","title":"Example - Tentacat.Releases.delete/4","type":"function"},{"doc":"Edit an existing release.","ref":"Tentacat.Releases.html#edit/5","title":"Tentacat.Releases.edit/5","type":"function"},{"doc":"* `tag_name` - string\n  * `target_commitish` - string\n  * `name` - string\n  * `body` - string\n  * `draft` - boolean\n  * `prerelease` - boolean","ref":"Tentacat.Releases.html#edit/5-options","title":"Options - Tentacat.Releases.edit/5","type":"function"},{"doc":"Tentacat.Releases.edit(client, 95071, \"elixir-lang\", \"elixir\")\n\nMore info at: http://developer.github.com/v3/repos/releases/#edit-a-release","ref":"Tentacat.Releases.html#edit/5-example","title":"Example - Tentacat.Releases.edit/5","type":"function"},{"doc":"Get a single release.","ref":"Tentacat.Releases.html#find/4","title":"Tentacat.Releases.find/4","type":"function"},{"doc":"Tentacat.Releases.find(client, 9949, \"elixir-lang\", \"elixir\")\n\nMore info at: http://developer.github.com/v3/repos/releases/#get-a-single-release","ref":"Tentacat.Releases.html#find/4-example","title":"Example - Tentacat.Releases.find/4","type":"function"},{"doc":"Get the latest release.","ref":"Tentacat.Releases.html#latest/3","title":"Tentacat.Releases.latest/3","type":"function"},{"doc":"Tentacat.Releases.latest(client, \"elixir-lang\", \"elixir\")\n\nMore info at: http://developer.github.com/v3/repos/releases/#get-the-latest-release","ref":"Tentacat.Releases.html#latest/3-example","title":"Example - Tentacat.Releases.latest/3","type":"function"},{"doc":"Get all releases from the given repository.","ref":"Tentacat.Releases.html#list/3","title":"Tentacat.Releases.list/3","type":"function"},{"doc":"Tentacat.Releases.list(client, \"elixir-lang\", \"elixir\")\n\nMore info at: http://developer.github.com/v3/repos/releases/#list-releases-for-a-repository","ref":"Tentacat.Releases.html#list/3-example","title":"Example - Tentacat.Releases.list/3","type":"function"},{"doc":"","ref":"Tentacat.Releases.Assets.html","title":"Tentacat.Releases.Assets","type":"module"},{"doc":"Delete a release asset.","ref":"Tentacat.Releases.Assets.html#delete/4","title":"Tentacat.Releases.Assets.delete/4","type":"function"},{"doc":"Tentacat.Releases.Assets.delete(client, \"23\", \"elixir-lang\", \"elixir\")\n\nMore info at: http:\\developer.github.com/v3/repos/releases/#delete-a-release-asset","ref":"Tentacat.Releases.Assets.html#delete/4-example","title":"Example - Tentacat.Releases.Assets.delete/4","type":"function"},{"doc":"Edit a release asset.","ref":"Tentacat.Releases.Assets.html#edit/6","title":"Tentacat.Releases.Assets.edit/6","type":"function"},{"doc":"Tentacat.Releases.Assets.edit(client, \"my-release.tar.gz\", 23, \"elixir-lang\", \"elixir\", label: \"NEW LABEL!\")","ref":"Tentacat.Releases.Assets.html#edit/6-example","title":"Example - Tentacat.Releases.Assets.edit/6","type":"function"},{"doc":"* `label` - string\n\nMore info at: http:\\developer.github.com/v3/repos/releases/#edit-a-release-asset","ref":"Tentacat.Releases.Assets.html#edit/6-options","title":"Options - Tentacat.Releases.Assets.edit/6","type":"function"},{"doc":"Get a single release asset.","ref":"Tentacat.Releases.Assets.html#find/4","title":"Tentacat.Releases.Assets.find/4","type":"function"},{"doc":"Tentacat.Releases.Assets.find(23, \"elixir-lang\", \"elixir\", client)\n\nMore info at: http:\\developer.github.com/v3/repos/releases/#get-a-single-release-asset","ref":"Tentacat.Releases.Assets.html#find/4-example","title":"Example - Tentacat.Releases.Assets.find/4","type":"function"},{"doc":"Get all assets for the given release.","ref":"Tentacat.Releases.Assets.html#list/4","title":"Tentacat.Releases.Assets.list/4","type":"function"},{"doc":"Tentacat.Releases.Assets.list(95071, \"elixir-lang\", \"elixir\", client)\n\nMore info at: http:\\developer.github.com/v3/repos/releases/#list-assets-for-a-release","ref":"Tentacat.Releases.Assets.html#list/4-example","title":"Example - Tentacat.Releases.Assets.list/4","type":"function"},{"doc":"The Repository Webhooks API allows repository admins to manage the\npost-receive hooks for a repository.","ref":"Tentacat.Repositories.html","title":"Tentacat.Repositories","type":"module"},{"doc":"Create a new repository for the authenticated user.\n\nPossible values for `options`:\n\n  * %{description: \"Simple Elixir wrapper for the GitHub API\"}\n  * %{homepage: \"http://www.github.com/edgurgel/tentacat\"}\n  * %{private: false}\n  * %{has_issues: true}\n  * %{has_wiki: false}\n  * %{has_downloads: true}\n  * %{team_id: 123}\n  * %{auto_init: false}\n  * %{gitignore_template: \"Haskell\"}\n  * %{license_template: \"mit\"}j","ref":"Tentacat.Repositories.html#create/3","title":"Tentacat.Repositories.create/3","type":"function"},{"doc":"Tentacat.Repositories.create(client, \"tentacat\", %{private: false})\n\nMore info at: https://developer.github.com/v3/repos/#create","ref":"Tentacat.Repositories.html#create/3-example","title":"Example - Tentacat.Repositories.create/3","type":"function"},{"doc":"Deleting a repository requires admin access.\n\nIf OAuth is used, the delete_repo scope is required.","ref":"Tentacat.Repositories.html#delete/3","title":"Tentacat.Repositories.delete/3","type":"function"},{"doc":"Tentacat.Repositories.delete(\"soudqwiggle\", \"tentacat\", client)\n\nMore info at: https://developer.github.com/v3/repos/#delete-a-repository","ref":"Tentacat.Repositories.html#delete/3-example","title":"Example - Tentacat.Repositories.delete/3","type":"function"},{"doc":"List current user's Repositories.","ref":"Tentacat.Repositories.html#list_mine/3","title":"Tentacat.Repositories.list_mine/3","type":"function"},{"doc":"Tentacat.Repositories.list_mine(client)\n    Tentacat.Repositories.list_mine(client, type: \"owner\")\n\nMore info at: https://developer.github.com/v3/repos/#list-your-repositories","ref":"Tentacat.Repositories.html#list_mine/3-examples","title":"Examples - Tentacat.Repositories.list_mine/3","type":"function"},{"doc":"List organizations Repositories.","ref":"Tentacat.Repositories.html#list_orgs/4","title":"Tentacat.Repositories.list_orgs/4","type":"function"},{"doc":"Tentacat.Repositories.list_orgs(client, \"elixir-lang\")\n\nMore info at: https://developer.github.com/v3/repos/#list-organization-repositories","ref":"Tentacat.Repositories.html#list_orgs/4-example","title":"Example - Tentacat.Repositories.list_orgs/4","type":"function"},{"doc":"List all public repositories.","ref":"Tentacat.Repositories.html#list_public/3","title":"Tentacat.Repositories.list_public/3","type":"function"},{"doc":"Tentacat.Repositories.list_public\n    Tentacat.Repositories.list_public(client)\n\nMore info at: https://developer.github.com/v3/repos/#list-all-public-repositories","ref":"Tentacat.Repositories.html#list_public/3-example","title":"Example - Tentacat.Repositories.list_public/3","type":"function"},{"doc":"List users Repositories.","ref":"Tentacat.Repositories.html#list_users/4","title":"Tentacat.Repositories.list_users/4","type":"function"},{"doc":"Tentacat.Repositories.list_users(client, \"steve\")\n\nMore info at: https://developer.github.com/v3/repos/#list-user-repositories","ref":"Tentacat.Repositories.html#list_users/4-example","title":"Example - Tentacat.Repositories.list_users/4","type":"function"},{"doc":"","ref":"Tentacat.Repositories.html#org_create/4","title":"Tentacat.Repositories.org_create/4","type":"function"},{"doc":"Get a repository details.","ref":"Tentacat.Repositories.html#repo_get/4","title":"Tentacat.Repositories.repo_get/4","type":"function"},{"doc":"Tentacat.Repositories.repo_get(\"elixir-conspiracy\", \"pacman\")\n    Tentacat.Repositories.repo_get(client, \"elixir-conspiracy\", \"pacman\")\n\nMore info at: https://developer.github.com/v3/repos/#get","ref":"Tentacat.Repositories.html#repo_get/4-example","title":"Example - Tentacat.Repositories.repo_get/4","type":"function"},{"doc":"","ref":"Tentacat.Repositories.Branches.html","title":"Tentacat.Repositories.Branches","type":"module"},{"doc":"Get Branch.","ref":"Tentacat.Repositories.Branches.html#find/4","title":"Tentacat.Repositories.Branches.find/4","type":"function"},{"doc":"Tentacat.Repositories.Branches.find \"elixir-lang\", \"elixir\", \"feature\"\n    Tentacat.Repositories.Branches.find client, \"elixir-lang\", \"elixir\", \"feature\"\n\nMore info at: https://developer.github.com/v3/repos/#get-branch","ref":"Tentacat.Repositories.Branches.html#find/4-example","title":"Example - Tentacat.Repositories.Branches.find/4","type":"function"},{"doc":"List Branches.","ref":"Tentacat.Repositories.Branches.html#list/3","title":"Tentacat.Repositories.Branches.list/3","type":"function"},{"doc":"Tentacat.Repositories.Branches.list \"elixir-lang\", \"elixir\"\n    Tentacat.Repositories.Branches.list client, \"elixir-lang\", \"elixir\"\n\nMore info at: https://developer.github.com/v3/repos/#list-branches","ref":"Tentacat.Repositories.Branches.html#list/3-example","title":"Example - Tentacat.Repositories.Branches.list/3","type":"function"},{"doc":"Update Branch Protection.\n\nCreate body example:\n\n```elixir\n%{\n  \"required_status_checks\" => %{\n    \"strict\" => true,\n    \"contexts\" => [\n      \"continuous-integration/travis-ci\"\n    ]\n  },\n  \"enforce_admins\" => true,\n  \"required_pull_request_reviews\" => %{\n    \"dismissal_restrictions\" => %{\n      \"users\" => [\n        \"octocat\"\n      ],\n      \"teams\" => [\n        \"justice-league\"\n      ]\n    },\n    \"dismiss_stale_reviews\" => true,\n    \"require_code_owner_reviews\" => true,\n    \"required_approving_review_count\" => 2\n  },\n  \"restrictions\" => %{\n    \"users\" => [\n      \"octocat\"\n    ],\n    \"teams\" => [\n      \"justice-league\"\n    ]\n  }\n}\n```","ref":"Tentacat.Repositories.Branches.html#update_protection/5","title":"Tentacat.Repositories.Branches.update_protection/5","type":"function"},{"doc":"Tentacat.Repositories.Branches.update_protection \"elixir-lang\", \"elixir\", \"feature\", body\n    Tentacat.Repositories.Branches.update_protection client, \"elixir-lang\", \"elixir\", \"feature\", body\n\nMore info at: https://developer.github.com/v3/repos/branches/#update-branch-protection","ref":"Tentacat.Repositories.Branches.html#update_protection/5-example","title":"Example - Tentacat.Repositories.Branches.update_protection/5","type":"function"},{"doc":"","ref":"Tentacat.Repositories.Collaborators.html","title":"Tentacat.Repositories.Collaborators","type":"module"},{"doc":"Add user as a collaborator.","ref":"Tentacat.Repositories.Collaborators.html#add/5","title":"Tentacat.Repositories.Collaborators.add/5","type":"function"},{"doc":"Tentacat.Repositories.Collaborators.add \"elixir-lang\", \"elixir\", \"username\", %{}\n    Tentacat.Repositories.Collaborators.add client, \"elixir-lang\", \"elixir\", \"username\", %{ permission: \"push\" }\n    Tentacat.Repositories.Collaborators.add client, \"elixir-lang\", \"elixir\", \"username\", %{}\n\nMore info at: https://developer.github.com/v3/repos/collaborators/#add-user-as-a-collaborator","ref":"Tentacat.Repositories.Collaborators.html#add/5-example","title":"Example - Tentacat.Repositories.Collaborators.add/5","type":"function"},{"doc":"Check if a user is a collaborator.","ref":"Tentacat.Repositories.Collaborators.html#collaborator?/4","title":"Tentacat.Repositories.Collaborators.collaborator?/4","type":"function"},{"doc":"Tentacat.Repositories.Collaborators.collaborator? \"elixir-lang\", \"elixir\", \"username\"\n    Tentacat.Repositories.Collaborators.collaborator? client, \"elixir-lang\", \"elixir\", \"username\"\n\nMore info at: https://developer.github.com/v3/repos/collaborators/#check-if-a-user-is-a-collaborator","ref":"Tentacat.Repositories.Collaborators.html#collaborator?/4-example","title":"Example - Tentacat.Repositories.Collaborators.collaborator?/4","type":"function"},{"doc":"Remove user as a collaborator.","ref":"Tentacat.Repositories.Collaborators.html#delete/4","title":"Tentacat.Repositories.Collaborators.delete/4","type":"function"},{"doc":"Tentacat.Repositories.Collaborators.delete \"elixir-lang\", \"elixir\", \"username\"\n    Tentacat.Repositories.Collaborators.delete client, \"elixir-lang\", \"elixir\", \"username\"\n\nMore info at: https://developer.github.com/v3/repos/collaborators/#remove-user-as-a-collaborator","ref":"Tentacat.Repositories.Collaborators.html#delete/4-example","title":"Example - Tentacat.Repositories.Collaborators.delete/4","type":"function"},{"doc":"List collaborators for a specific repository.","ref":"Tentacat.Repositories.Collaborators.html#list/3","title":"Tentacat.Repositories.Collaborators.list/3","type":"function"},{"doc":"Tentacat.Repositories.Collaborators.list \"elixir-lang\", \"elixir\"\n    Tentacat.Repositories.Collaborators.list client, \"elixir-lang\", \"elixir\"\n\nMore info at: https://developer.github.com/v3/repos/collaborators/#list-collaborators","ref":"Tentacat.Repositories.Collaborators.html#list/3-example","title":"Example - Tentacat.Repositories.Collaborators.list/3","type":"function"},{"doc":"Returns the permission level of a collaborator.","ref":"Tentacat.Repositories.Collaborators.html#permission/4","title":"Tentacat.Repositories.Collaborators.permission/4","type":"function"},{"doc":"Tentacat.Repositories.Collaborators.permission \"elixir-lang\", \"elixir\", \"username\"\n    Tentacat.Repositories.Collaborators.permission client, \"elixir-lang\", \"elixir\", \"username\"\n\nMore info at: https://developer.github.com/v3/repos/collaborators/#review-a-users-permission-level","ref":"Tentacat.Repositories.Collaborators.html#permission/4-example","title":"Example - Tentacat.Repositories.Collaborators.permission/4","type":"function"},{"doc":"","ref":"Tentacat.Repositories.Contents.html","title":"Tentacat.Repositories.Contents","type":"module"},{"doc":"Gets the contents of a file or directory in a repository.","ref":"Tentacat.Repositories.Contents.html#content/4","title":"Tentacat.Repositories.Contents.content/4","type":"function"},{"doc":"Tentacat.Repositories.Contents.content \"elixir-lang\", \"elixir\", \"CHANGELOG.md\"\n    Tentacat.Repositories.Contents.content client, \"elixir-lang\", \"elixir\", \"CHANGELOG.md\"\n\nMore info at: https://developer.github.com/v3/repos/contents/#get-contents","ref":"Tentacat.Repositories.Contents.html#content/4-example","title":"Example - Tentacat.Repositories.Contents.content/4","type":"function"},{"doc":"","ref":"Tentacat.Repositories.Contributors.html","title":"Tentacat.Repositories.Contributors","type":"module"},{"doc":"List contributors for a specific repository.","ref":"Tentacat.Repositories.Contributors.html#list/3","title":"Tentacat.Repositories.Contributors.list/3","type":"function"},{"doc":"Tentacat.Repositories.Contributors.list \"elixir-lang\", \"elixir\"\n    Tentacat.Repositories.Contributors.list client, \"elixir-lang\", \"elixir\"\n\nMore info at: https://developer.github.com/v3/repos/#list-contributors","ref":"Tentacat.Repositories.Contributors.html#list/3-example","title":"Example - Tentacat.Repositories.Contributors.list/3","type":"function"},{"doc":"The Repository deploy keys API allows repository admins to manage the deploy\nkeys for a repository.","ref":"Tentacat.Repositories.DeployKeys.html","title":"Tentacat.Repositories.DeployKeys","type":"module"},{"doc":"Create a deploy key for a repository.","ref":"Tentacat.Repositories.DeployKeys.html#create/4","title":"Tentacat.Repositories.DeployKeys.create/4","type":"function"},{"doc":"Tentacat.Repositories.DeployKeys.create(client, \"elixir-lang\", \"elixir\", key_body)\n\nThe key_body should be a map corresponding to a json body accepted by the api.\n\nMore info at: https://developer.github.com/v3/repos/keys/#add-a-new-deploy-key","ref":"Tentacat.Repositories.DeployKeys.html#create/4-example","title":"Example - Tentacat.Repositories.DeployKeys.create/4","type":"function"},{"doc":"Get a deploy key for a repository by id.","ref":"Tentacat.Repositories.DeployKeys.html#find/4","title":"Tentacat.Repositories.DeployKeys.find/4","type":"function"},{"doc":"Tentacat.Repositories.DeployKeys.find(client, \"elixir-lang\", \"elixir\", \"1234567\")\n\nMore info at: https://developer.github.com/v3/repos/keys/#get-a-deploy-key","ref":"Tentacat.Repositories.DeployKeys.html#find/4-example","title":"Example - Tentacat.Repositories.DeployKeys.find/4","type":"function"},{"doc":"Get a list of deploy keys for a repository.","ref":"Tentacat.Repositories.DeployKeys.html#list/3","title":"Tentacat.Repositories.DeployKeys.list/3","type":"function"},{"doc":"Tentacat.Repositories.DeployKeys.list(client, \"elixir-lang\", \"elixir\")\n\nMore info at: https://developer.github.com/v3/repos/keys/#list-deploy-keys","ref":"Tentacat.Repositories.DeployKeys.html#list/3-example","title":"Example - Tentacat.Repositories.DeployKeys.list/3","type":"function"},{"doc":"Remove a deploy key from a repository.","ref":"Tentacat.Repositories.DeployKeys.html#remove/4","title":"Tentacat.Repositories.DeployKeys.remove/4","type":"function"},{"doc":"Tentacat.Repositories.DeployKeys.remove(client, \"elixir-lang\", \"elixir\", \"1234567\")\n\nMore info at: https://developer.github.com/v3/repos/keys/#remove-a-deploy-key","ref":"Tentacat.Repositories.DeployKeys.html#remove/4-example","title":"Example - Tentacat.Repositories.DeployKeys.remove/4","type":"function"},{"doc":"","ref":"Tentacat.Repositories.Deployments.html","title":"Tentacat.Repositories.Deployments","type":"module"},{"doc":"Create a Deployment.\n\nDeployment body example:\n\n```elixir\n%{\n  \"ref\": \"topic-branch\",\n  \"payload\": \"{\"user\":\"atmos\",\"room_id\":123456}\",\n  \"description\": \"Deploying my sweet branch\"\n}\n```","ref":"Tentacat.Repositories.Deployments.html#create/4","title":"Tentacat.Repositories.Deployments.create/4","type":"function"},{"doc":"Tentacat.Repositories.Deployments.create client, \"elixir-lang\", \"elixir\", deployment_body\n\nMore info at: https://developer.github.com/v3/repos/deployments/#create-a-deployment","ref":"Tentacat.Repositories.Deployments.html#create/4-example","title":"Example - Tentacat.Repositories.Deployments.create/4","type":"function"},{"doc":"Create a Deployment Status.\n\nStatus body example:\n\n```elixir\n%{\n  \"state\": \"success\",\n  \"target_url\": \"https://example.com/deployment/1/output\",\n  \"description\": \"Deployment finished successfully.\"\n}\n```","ref":"Tentacat.Repositories.Deployments.html#create_status/5","title":"Tentacat.Repositories.Deployments.create_status/5","type":"function"},{"doc":"Tentacat.Repositories.Deployments.create_status client, \"elixir-lang\", \"elixir\", \"1\", status_body\n\nMore info at: https://developer.github.com/v3/repos/deployments/#create-a-deployment-status","ref":"Tentacat.Repositories.Deployments.html#create_status/5-example","title":"Example - Tentacat.Repositories.Deployments.create_status/5","type":"function"},{"doc":"List Deployments.","ref":"Tentacat.Repositories.Deployments.html#list/3","title":"Tentacat.Repositories.Deployments.list/3","type":"function"},{"doc":"Tentacat.Repositories.Deployments.list \"elixir-lang\", \"elixir\"\n    Tentacat.Repositories.Deployments.list client, \"elixir-lang\", \"elixir\"\n\nMore info at: https://developer.github.com/v3/repos/deployments/#list-deployments","ref":"Tentacat.Repositories.Deployments.html#list/3-example","title":"Example - Tentacat.Repositories.Deployments.list/3","type":"function"},{"doc":"List a Deployment's Statuses.","ref":"Tentacat.Repositories.Deployments.html#list_statuses/4","title":"Tentacat.Repositories.Deployments.list_statuses/4","type":"function"},{"doc":"Tentacat.Repositories.Deployments.list_statuses \"elixir-lang\", \"elixir\", \"1\"\n    Tentacat.Repositories.Deployments.list_statuses client, \"elixir-lang\", \"elixir\", \"1\"\n\nMore info at: https://developer.github.com/v3/repos/deployments/#list-deployment-statuses","ref":"Tentacat.Repositories.Deployments.html#list_statuses/4-example","title":"Example - Tentacat.Repositories.Deployments.list_statuses/4","type":"function"},{"doc":"","ref":"Tentacat.Repositories.Forks.html","title":"Tentacat.Repositories.Forks","type":"module"},{"doc":"Creates a new fork of a repository.","ref":"Tentacat.Repositories.Forks.html#create/4","title":"Tentacat.Repositories.Forks.create/4","type":"function"},{"doc":"Tentacat.Repositories.Forks.create \"elixir-lang\", \"elixir\", \"tinfoil\", %{}\n    Tentacat.Repositories.Forks.create \"elixir-lang\", \"elixir\", \"tinfoil\", %{organization: \"tinfoil\"}\n\nMore info at: https://developer.github.com/v3/repos/forks/#create-a-fork","ref":"Tentacat.Repositories.Forks.html#create/4-example","title":"Example - Tentacat.Repositories.Forks.create/4","type":"function"},{"doc":"List forks of a repository.","ref":"Tentacat.Repositories.Forks.html#list/3","title":"Tentacat.Repositories.Forks.list/3","type":"function"},{"doc":"Tentacat.Repositories.Forks.list \"elixir-lang\", \"elixir\"\n\nMore info at: https://developer.github.com/v3/repos/forks/","ref":"Tentacat.Repositories.Forks.html#list/3-example","title":"Example - Tentacat.Repositories.Forks.list/3","type":"function"},{"doc":"","ref":"Tentacat.Repositories.Labels.html","title":"Tentacat.Repositories.Labels","type":"module"},{"doc":"Creates a new label on a repository.\n\nPossible values for `body`:\n\n  * %{name: \"name of label\"} (required)\n  * %{color: \"color of label\"} (required)","ref":"Tentacat.Repositories.Labels.html#create/4","title":"Tentacat.Repositories.Labels.create/4","type":"function"},{"doc":"Tentacat.Repositories.Labels.create \"elixir-lang\", \"elixir\", %{name: \"Important\", color: \"f29513\"}\n\nMore info at: https://developer.github.com/v3/issues/labels/#create-a-label","ref":"Tentacat.Repositories.Labels.html#create/4-example","title":"Example - Tentacat.Repositories.Labels.create/4","type":"function"},{"doc":"Delete a label on a repository.","ref":"Tentacat.Repositories.Labels.html#delete/4","title":"Tentacat.Repositories.Labels.delete/4","type":"function"},{"doc":"Tentacat.Repositories.Labels.delete \"elixir-lang\", \"elixir\", \"Important\"\n\nMore info at: https://developer.github.com/v3/issues/labels/#delete-a-label","ref":"Tentacat.Repositories.Labels.html#delete/4-example","title":"Example - Tentacat.Repositories.Labels.delete/4","type":"function"},{"doc":"Find a label on a repository.","ref":"Tentacat.Repositories.Labels.html#find/4","title":"Tentacat.Repositories.Labels.find/4","type":"function"},{"doc":"Tentacat.Repositories.Labels.find \"elixir-lang\", \"elixir\", \"WIP\"\n\nMore info at: https://developer.github.com/v3/issues/labels/#get-a-single-label","ref":"Tentacat.Repositories.Labels.html#find/4-example","title":"Example - Tentacat.Repositories.Labels.find/4","type":"function"},{"doc":"List labels on a repository.","ref":"Tentacat.Repositories.Labels.html#list/3","title":"Tentacat.Repositories.Labels.list/3","type":"function"},{"doc":"Tentacat.Repositories.Labels.list \"elixir-lang\", \"elixir\"\n\nMore info at: https://developer.github.com/v3/issues/labels/#list-all-labels-for-this-repository","ref":"Tentacat.Repositories.Labels.html#list/3-example","title":"Example - Tentacat.Repositories.Labels.list/3","type":"function"},{"doc":"Update a label on a repository.\n\nPossible values for `body`:\n\n  * %{name: \"name of label\"} (required)\n  * %{color: \"color of label\"} (required)","ref":"Tentacat.Repositories.Labels.html#update/5","title":"Tentacat.Repositories.Labels.update/5","type":"function"},{"doc":"Tentacat.Repositories.Labels.update \"elixir-lang\", \"elixir\", \"Important\", %{color: \"000000\"}\n\nMore info at: https://developer.github.com/v3/issues/labels/#update-a-label","ref":"Tentacat.Repositories.Labels.html#update/5-example","title":"Example - Tentacat.Repositories.Labels.update/5","type":"function"},{"doc":"","ref":"Tentacat.Repositories.Languages.html","title":"Tentacat.Repositories.Languages","type":"module"},{"doc":"List Languages.","ref":"Tentacat.Repositories.Languages.html#list/3","title":"Tentacat.Repositories.Languages.list/3","type":"function"},{"doc":"Tentacat.Repositories.Languages.list \"elixir-lang\", \"elixir\"\n\nMore info at: https://developer.github.com/v3/repos/#list-languages","ref":"Tentacat.Repositories.Languages.html#list/3-example","title":"Example - Tentacat.Repositories.Languages.list/3","type":"function"},{"doc":"","ref":"Tentacat.Repositories.Merges.html","title":"Tentacat.Repositories.Merges","type":"module"},{"doc":"Merge a branch into another.\n\nYou can use both branch names and/or a commit SHA1. When the commit message\nis empty, Github will apply the default commit message.","ref":"Tentacat.Repositories.Merges.html#merge/6","title":"Tentacat.Repositories.Merges.merge/6","type":"function"},{"doc":"Tentacat.Repositories.Merges.merge client, \"elixir-lang\", \"elixir\", \"master\", \"123-another-feature\", \"\"\n    Tentacat.Repositories.Merges.merge client, \"elixir-lang\", \"elixir\", \"master\", \"123-another-feature\", \"not the default commit_message\"\n    Tentacat.Repositories.Merges.merge client, \"elixir-lang\", \"elixir\", \"8e50d79f2ba0d665b9966908cbf22c6f463228d6\", \"bafdae8b93e74738c12515c14c7cf9acc652650a\", \"\"\n\nMore info at: https://developer.github.com/v3/repos/merging/#perform-a-merge","ref":"Tentacat.Repositories.Merges.html#merge/6-example","title":"Example - Tentacat.Repositories.Merges.merge/6","type":"function"},{"doc":"","ref":"Tentacat.Repositories.Projects.html","title":"Tentacat.Repositories.Projects","type":"module"},{"doc":"Create a new project for a repository.\n\nPossible values for options:\n\n  * %{name: \"name of project board\"}\n  * %{body: \"description of the project\"}","ref":"Tentacat.Repositories.Projects.html#create/4","title":"Tentacat.Repositories.Projects.create/4","type":"function"},{"doc":"Tentacat.Repositories.Projects.create client, \"elixir-lang\", \"elixir\", %{name: \"tentacat\", body: \"project board for tentacat\"}\n\nMore info at: https://developer.github.com/v3/projects/#create-a-repository-project","ref":"Tentacat.Repositories.Projects.html#create/4-example","title":"Example - Tentacat.Repositories.Projects.create/4","type":"function"},{"doc":"Lists the projects in a repository.","ref":"Tentacat.Repositories.Projects.html#list/3","title":"Tentacat.Repositories.Projects.list/3","type":"function"},{"doc":"Tentacat.Repositories.Projects.list client, \"elixir-lang\", \"elixir\"\n\nMore info at: https://developer.github.com/v3/projects/#list-repository-projects","ref":"Tentacat.Repositories.Projects.html#list/3-example","title":"Example - Tentacat.Repositories.Projects.list/3","type":"function"},{"doc":"","ref":"Tentacat.Repositories.Statuses.html","title":"Tentacat.Repositories.Statuses","type":"module"},{"doc":"Create a Status.\n\nComment body example:\n\n```elixir\n%{\n   \"state\": \"success\",\n   \"target_url\": \"https://example.com/build/status\",\n   \"description\": \"The build succeeded!\",\n   \"context\": \"continuous-integration/jenkins\"\n }\n```","ref":"Tentacat.Repositories.Statuses.html#create/5","title":"Tentacat.Repositories.Statuses.create/5","type":"function"},{"doc":"Tentacat.Repositories.Statuses.create client, \"elixir-lang\", \"elixir\", 2974, comment_body\n\nMore info at: https://developer.github.com/v3/repos/statuses/#create-a-status","ref":"Tentacat.Repositories.Statuses.html#create/5-example","title":"Example - Tentacat.Repositories.Statuses.create/5","type":"function"},{"doc":"Get the combined Status for a specific Ref.","ref":"Tentacat.Repositories.Statuses.html#find/4","title":"Tentacat.Repositories.Statuses.find/4","type":"function"},{"doc":"Tentacat.Repositories.Statuses.find \"elixir-lang\", \"elixir\", \"a8ce2485b1260245a331f1a56c53ab1b965d6dc5\"\n    Tentacat.Repositories.Statuses.find client, \"elixir-lang\", \"elixir\", \"master\"\n    Tentacat.Repositories.Statuses.find client, \"elixir-lang\", \"elixir\", \"1.2.4\"\n\nMore info at: https://developer.github.com/v3/repos/statuses/#get-the-combined-status-for-a-specific-ref","ref":"Tentacat.Repositories.Statuses.html#find/4-example","title":"Example - Tentacat.Repositories.Statuses.find/4","type":"function"},{"doc":"List Statuses for a specific Ref.","ref":"Tentacat.Repositories.Statuses.html#list/4","title":"Tentacat.Repositories.Statuses.list/4","type":"function"},{"doc":"Tentacat.Repositories.Statuses.list \"elixir-lang\", \"elixir\", \"a8ce2485b1260245a331f1a56c53ab1b965d6dc5\"\n    Tentacat.Repositories.Statuses.list client, \"elixir-lang\", \"elixir\", \"master\"\n    Tentacat.Repositories.Statuses.list client, \"elixir-lang\", \"elixir\", \"1.2.4\"\n\nMore info at: https://developer.github.com/v3/repos/statuses/#list-statuses-for-a-specific-ref","ref":"Tentacat.Repositories.Statuses.html#list/4-example","title":"Example - Tentacat.Repositories.Statuses.list/4","type":"function"},{"doc":"","ref":"Tentacat.Repositories.Tags.html","title":"Tentacat.Repositories.Tags","type":"module"},{"doc":"List Tags.","ref":"Tentacat.Repositories.Tags.html#list/4","title":"Tentacat.Repositories.Tags.list/4","type":"function"},{"doc":"Tentacat.Repositories.Tags.list \"elixir-lang\", \"elixir\"\n\nMore info at: https://developer.github.com/v3/repos/#list-tags","ref":"Tentacat.Repositories.Tags.html#list/4-example","title":"Example - Tentacat.Repositories.Tags.list/4","type":"function"},{"doc":"The Search API allows the search of pretty much anything on GitHub.","ref":"Tentacat.Search.html","title":"Tentacat.Search","type":"module"},{"doc":"Search in code files.","ref":"Tentacat.Search.html#code/3","title":"Tentacat.Search.code/3","type":"function"},{"doc":"Tentacat.Search.code %{q: \"code language:elixir repo:edgurgel/tentacat\", sort: \"url\"}\n    Tentacat.Search.code client, %{q: \"code language:elixir repo:edgurgel/tentacat\", sort: \"url\"}\n\nMore info at: https://developer.github.com/v3/search/#search-code","ref":"Tentacat.Search.html#code/3-example","title":"Example - Tentacat.Search.code/3","type":"function"},{"doc":"Search in issues and pull requests.","ref":"Tentacat.Search.html#issues/3","title":"Tentacat.Search.issues/3","type":"function"},{"doc":"Tentacat.Search.issues %{q: \"repo:edgurgel/tentacat is:merged\", sort: \"comments\"}\n    Tentacat.Search.issues client, %{q: \"repo:edgurgel/tentacat is:merged\", sort: \"created\"}\n\nMore info at: https://developer.github.com/v3/search/#search-issues","ref":"Tentacat.Search.html#issues/3-example","title":"Example - Tentacat.Search.issues/3","type":"function"},{"doc":"Searches for repositories.","ref":"Tentacat.Search.html#repositories/3","title":"Tentacat.Search.repositories/3","type":"function"},{"doc":"Tentacat.Search.repositories %{q: \"elixir-lang language:elixir\", sort: \"stars\"}\n    Tentacat.Search.repositories client, %{q: \"elixir-lang language:elixir\", sort: \"stars\"}\n\nMore info at: https://developer.github.com/v3/search/#search-repositories","ref":"Tentacat.Search.html#repositories/3-example","title":"Example - Tentacat.Search.repositories/3","type":"function"},{"doc":"Searches for users.","ref":"Tentacat.Search.html#users/3","title":"Tentacat.Search.users/3","type":"function"},{"doc":"Tentacat.Search.users %{q: \"users language:elixir\", sort: \"followers\"}\n    Tentacat.Search.users client, %{q: \"users language:elixir\", sort: \"followers\"}\n\nMore info at: https://developer.github.com/v3/search/#search-users","ref":"Tentacat.Search.html#users/3-example","title":"Example - Tentacat.Search.users/3","type":"function"},{"doc":"","ref":"Tentacat.Teams.Members.html","title":"Tentacat.Teams.Members","type":"module"},{"doc":"Add a user to a team.","ref":"Tentacat.Teams.Members.html#create/4","title":"Tentacat.Teams.Members.create/4","type":"function"},{"doc":"Tentacat.Teams.Members.create client, 210840, \"username\", %{ role: \"maintainer\" }\n    Tentacat.Teams.Members.create client, 210840, \"username\", %{}\n\nMore info at: https://developer.github.com/v3/orgs/teams/#add-team-membership","ref":"Tentacat.Teams.Members.html#create/4-example","title":"Example - Tentacat.Teams.Members.create/4","type":"function"},{"doc":"Remove a user from a team.","ref":"Tentacat.Teams.Members.html#delete/3","title":"Tentacat.Teams.Members.delete/3","type":"function"},{"doc":"Tentacat.Teams.Members.delete client, 210840, \"username\"","ref":"Tentacat.Teams.Members.html#delete/3-example","title":"Example - Tentacat.Teams.Members.delete/3","type":"function"},{"doc":"Get a team membership.","ref":"Tentacat.Teams.Members.html#find/3","title":"Tentacat.Teams.Members.find/3","type":"function"},{"doc":"Tentacat.Teams.Members.find 210840, \"username\"\n    Tentacat.Teams.Members.find client, 210840, \"username\"\n\nMore info at: https://developer.github.com/v3/orgs/teams/#get-team-membership","ref":"Tentacat.Teams.Members.html#find/3-example","title":"Example - Tentacat.Teams.Members.find/3","type":"function"},{"doc":"List all team members.","ref":"Tentacat.Teams.Members.html#list/2","title":"Tentacat.Teams.Members.list/2","type":"function"},{"doc":"Tentacat.Teams.Members.list 210840\n    Tentacat.Teams.Members.list client, 210840\n\nMore info at: https://developer.github.com/v3/orgs/teams/#list-team-members","ref":"Tentacat.Teams.Members.html#list/2-example","title":"Example - Tentacat.Teams.Members.list/2","type":"function"},{"doc":"","ref":"Tentacat.Teams.Repositories.html","title":"Tentacat.Teams.Repositories","type":"module"},{"doc":"Add a team to a repository.","ref":"Tentacat.Teams.Repositories.html#add/5","title":"Tentacat.Teams.Repositories.add/5","type":"function"},{"doc":"Tentacat.Teams.Repositories.add 210840, org, repo\n    Tentacat.Teams.Repositories.add client, 210840, org, repo, %{permission: \"push\"}\n\nMore info at: https://developer.github.com/v3/teams/#add-or-update-team-repository","ref":"Tentacat.Teams.Repositories.html#add/5-example","title":"Example - Tentacat.Teams.Repositories.add/5","type":"function"},{"doc":"List all team repositories.","ref":"Tentacat.Teams.Repositories.html#list/2","title":"Tentacat.Teams.Repositories.list/2","type":"function"},{"doc":"Tentacat.Teams.Repositories.list 210840\n    Tentacat.Teams.Repositories.list client, 210840\n\nMore info at: https://developer.github.com/v3/orgs/teams/#list-team-repos","ref":"Tentacat.Teams.Repositories.html#list/2-example","title":"Example - Tentacat.Teams.Repositories.list/2","type":"function"},{"doc":"","ref":"Tentacat.Trees.html","title":"Tentacat.Trees","type":"module"},{"doc":"Create a Tree.\n\nTree body example:\n\n```elixir\n%{\n  \"base_tree\" => \"9fb037999f264ba9a7fc6274d15fa3ae2ab98312\",\n  \"tree\" => [\n    %{\n      \"path\" => \"elixir.ex\",\n      \"mode\" => \"100644\",\n      \"type\" => \"blob\",\n      \"sha\"  => \"44b4fc6d56897b048c772eb4087f854f46256132\"\n    }\n  ]\n}\n```","ref":"Tentacat.Trees.html#create/4","title":"Tentacat.Trees.create/4","type":"function"},{"doc":"Tentacat.Trees.create \"elixir-lang\", \"elixir\", body, client\n\nMore info at: https://developer.github.com/v3/git/trees/#create-a-tree","ref":"Tentacat.Trees.html#create/4-example","title":"Example - Tentacat.Trees.create/4","type":"function"},{"doc":"Get a Tree.","ref":"Tentacat.Trees.html#find/4","title":"Tentacat.Trees.find/4","type":"function"},{"doc":"Tentacat.Trees.find \"elixir-lang\", \"elixir\", \"eac64175b71fc598fa0b6e611dea6a58973170e9\"\n    Tentacat.Trees.find \"elixir-lang\", \"elixir\", \"eac64175b71fc598fa0b6e611dea6a58973170e9\", client\n\nMore info at: https://developer.github.com/v3/git/trees/#get-a-tree","ref":"Tentacat.Trees.html#find/4-example","title":"Example - Tentacat.Trees.find/4","type":"function"},{"doc":"Get a Tree Recursively.","ref":"Tentacat.Trees.html#find_recursive/4","title":"Tentacat.Trees.find_recursive/4","type":"function"},{"doc":"Tentacat.Trees.find_recursive \"elixir-lang\", \"elixir\", \"eac64175b71fc598fa0b6e611dea6a58973170e9\"\n    Tentacat.Trees.find_recursive \"elixir-lang\", \"elixir\", \"eac64175b71fc598fa0b6e611dea6a58973170e9\", client\n\nMore info at: https://developer.github.com/v3/git/trees/#get-a-tree-recursively","ref":"Tentacat.Trees.html#find_recursive/4-example","title":"Example - Tentacat.Trees.find_recursive/4","type":"function"},{"doc":"","ref":"Tentacat.Users.html","title":"Tentacat.Users","type":"module"},{"doc":"Get a single `user`.","ref":"Tentacat.Users.html#find/2","title":"Tentacat.Users.find/2","type":"function"},{"doc":"Tentacat.Users.find client, \"edgurgel\"\n    Tentacat.Users.find client, \"iurifq\"\n\nMore info at: http://developer.github.com/v3/users/#get-a-single-user","ref":"Tentacat.Users.html#find/2-example","title":"Example - Tentacat.Users.find/2","type":"function"},{"doc":"Get all users.","ref":"Tentacat.Users.html#list/2","title":"Tentacat.Users.list/2","type":"function"},{"doc":"Tentacat.Users.list\n    Tentacat.Users.list client\n\nMore info at: http://developer.github.com/v3/users/#get-all-users","ref":"Tentacat.Users.html#list/2-example","title":"Example - Tentacat.Users.list/2","type":"function"},{"doc":"Get all users since `since` id.","ref":"Tentacat.Users.html#list_since/3","title":"Tentacat.Users.list_since/3","type":"function"},{"doc":"Tentacat.Users.list_since 348\n    Tentacat.Users.list_since 348, client\n\nMore info at: http://developer.github.com/v3/users/#get-all-users","ref":"Tentacat.Users.html#list_since/3-example","title":"Example - Tentacat.Users.list_since/3","type":"function"},{"doc":"Get the authenticated user passing a `client` with necessary credentials.","ref":"Tentacat.Users.html#me/1","title":"Tentacat.Users.me/1","type":"function"},{"doc":"Tentacat.Users.me(client)\n\nMore info at: http://developer.github.com/v3/users/#get-the-authenticated-user","ref":"Tentacat.Users.html#me/1-example","title":"Example - Tentacat.Users.me/1","type":"function"},{"doc":"Update the authenticated user.\n\nPossible values for `options`:\n\n  * [name: \"name\"]\n  * [email: \"email\"]\n  * [blog: \"blog.com\"]\n  * [company: \"My Company\"]\n  * [location: \"Internet\"]\n  * [hireable: true]\n  * [bio: \"Hireable developer\"]","ref":"Tentacat.Users.html#update/2","title":"Tentacat.Users.update/2","type":"function"},{"doc":"Tentacat.Users.update [email: \"eduardo@gurgel.me\", hireable: false], client\n\nMore info at: http://developer.github.com/v3/users/#update-the-authenticated-user","ref":"Tentacat.Users.html#update/2-example","title":"Example - Tentacat.Users.update/2","type":"function"},{"doc":"","ref":"Tentacat.Users.Emails.html","title":"Tentacat.Users.Emails","type":"module"},{"doc":"Add email address(es).","ref":"Tentacat.Users.Emails.html#create/2","title":"Tentacat.Users.Emails.create/2","type":"function"},{"doc":"Tentacat.Users.Emails.create client, [\"ed@gurgel.me\"]\n\nMore info at: http://developer.github.com/v3/users/emails/#add-email-addresses","ref":"Tentacat.Users.Emails.html#create/2-example","title":"Example - Tentacat.Users.Emails.create/2","type":"function"},{"doc":"List email addresses for the authenticated user.","ref":"Tentacat.Users.Emails.html#list/1","title":"Tentacat.Users.Emails.list/1","type":"function"},{"doc":"Tentacat.Users.Emails.list client\n\nMore info at: http://developer.github.com/v3/users/emails/#list-email-addresses-for-a-user","ref":"Tentacat.Users.Emails.html#list/1-example","title":"Example - Tentacat.Users.Emails.list/1","type":"function"},{"doc":"Delete email address(es).","ref":"Tentacat.Users.Emails.html#remove/2","title":"Tentacat.Users.Emails.remove/2","type":"function"},{"doc":"Tentacat.Users.Emails.remove client, [\"ed@gurgel.me\"]\n\nMore info at: http://developer.github.com/v3/users/emails/#delete-email-addresses","ref":"Tentacat.Users.Emails.html#remove/2-example","title":"Example - Tentacat.Users.Emails.remove/2","type":"function"},{"doc":"","ref":"Tentacat.Users.Events.html","title":"Tentacat.Users.Events","type":"module"},{"doc":"List events performed by a user.","ref":"Tentacat.Users.Events.html#list/2","title":"Tentacat.Users.Events.list/2","type":"function"},{"doc":"Tentacat.Users.Events.list \"bastos\"\n    Tentacat.Users.Events.list client, \"bastos\"\n\nMore info at: https://developer.github.com/v3/activity/events/#list-events-performed-by-a-user","ref":"Tentacat.Users.Events.html#list/2-example","title":"Example - Tentacat.Users.Events.list/2","type":"function"},{"doc":"List public events performed by a user.","ref":"Tentacat.Users.Events.html#list_public/2","title":"Tentacat.Users.Events.list_public/2","type":"function"},{"doc":"Tentacat.Users.Events.list_public \"bastos\"\n    Tentacat.Users.Events.list_public client, \"bastos\"\n\nMore info at: https://developer.github.com/v3/activity/events/#list-public-events-performed-by-a-user","ref":"Tentacat.Users.Events.html#list_public/2-example","title":"Example - Tentacat.Users.Events.list_public/2","type":"function"},{"doc":"List public events that a user has received.","ref":"Tentacat.Users.Events.html#list_received_public/2","title":"Tentacat.Users.Events.list_received_public/2","type":"function"},{"doc":"Tentacat.Users.Events.list_received_public client, \"bastos\"\n\nMore info at: https://developer.github.com/v3/activity/events/#list-public-events-that-a-user-has-received","ref":"Tentacat.Users.Events.html#list_received_public/2-example","title":"Example - Tentacat.Users.Events.list_received_public/2","type":"function"},{"doc":"List events for an organization.","ref":"Tentacat.Users.Events.html#list_user_org/3","title":"Tentacat.Users.Events.list_user_org/3","type":"function"},{"doc":"Tentacat.Users.Events.list_user_org client, \"bastos\", \"elixir-lang\"\n\nMore info at: https://developer.github.com/v3/activity/events/#list-events-for-an-organization","ref":"Tentacat.Users.Events.html#list_user_org/3-example","title":"Example - Tentacat.Users.Events.list_user_org/3","type":"function"},{"doc":"","ref":"Tentacat.Users.Followers.html","title":"Tentacat.Users.Followers","type":"module"},{"doc":"Follow given user.","ref":"Tentacat.Users.Followers.html#follow/2","title":"Tentacat.Users.Followers.follow/2","type":"function"},{"doc":"Tentacat.Users.Followers.follow client, \"edgurgel\"\n\nMore info at: https://developer.github.com/v3/users/followers/#follow-a-user","ref":"Tentacat.Users.Followers.html#follow/2-example","title":"Example - Tentacat.Users.Followers.follow/2","type":"function"},{"doc":"List users the authenticated user follows.","ref":"Tentacat.Users.Followers.html#followers/1","title":"Tentacat.Users.Followers.followers/1","type":"function"},{"doc":"Tentacat.Users.Followers.followers client\n\nMore info at: http://developer.github.com/v3/users/followers/#list-followers-of-a-user","ref":"Tentacat.Users.Followers.html#followers/1-example","title":"Example - Tentacat.Users.Followers.followers/1","type":"function"},{"doc":"List users the given user follows.","ref":"Tentacat.Users.Followers.html#followers/2","title":"Tentacat.Users.Followers.followers/2","type":"function"},{"doc":"Tentacat.Users.Followers.followers client, \"edgurgel\"\n\nMore info at: http://developer.github.com/v3/users/followers/#list-followers-of-a-user","ref":"Tentacat.Users.Followers.html#followers/2-example","title":"Example - Tentacat.Users.Followers.followers/2","type":"function"},{"doc":"List followers for the authenticated user.","ref":"Tentacat.Users.Followers.html#following/1","title":"Tentacat.Users.Followers.following/1","type":"function"},{"doc":"Tentacat.Users.Followers.following client\n\nMore info at: http://developer.github.com/v3/users/followers/#list-users-followed-by-another-user","ref":"Tentacat.Users.Followers.html#following/1-example","title":"Example - Tentacat.Users.Followers.following/1","type":"function"},{"doc":"List followers for given user.","ref":"Tentacat.Users.Followers.html#following/2","title":"Tentacat.Users.Followers.following/2","type":"function"},{"doc":"Tentacat.Users.Followers.following client, \"edgurgel\"\n\nMore info at: http://developer.github.com/v3/users/followers/#list-users-followed-by-another-user","ref":"Tentacat.Users.Followers.html#following/2-example","title":"Example - Tentacat.Users.Followers.following/2","type":"function"},{"doc":"","ref":"Tentacat.Users.Followers.html#following/3","title":"Tentacat.Users.Followers.following/3","type":"function"},{"doc":"Check if authenticated user follows given user.","ref":"Tentacat.Users.Followers.html#following?/2","title":"Tentacat.Users.Followers.following?/2","type":"function"},{"doc":"Tentacat.Users.Followers.following? client, \"edgurgel\"\n\nMore info at: https://developer.github.com/v3/users/followers/#check-if-you-are-following-a-user","ref":"Tentacat.Users.Followers.html#following?/2-example","title":"Example - Tentacat.Users.Followers.following?/2","type":"function"},{"doc":"Check if given user follows another given user.","ref":"Tentacat.Users.Followers.html#following?/3","title":"Tentacat.Users.Followers.following?/3","type":"function"},{"doc":"Tentacat.Users.Followers.following? client, \"edgurgel\", \"iurifq\"\n\nMore info at: https://developer.github.com/v3/users/followers/#check-if-one-user-follows-another","ref":"Tentacat.Users.Followers.html#following?/3-example","title":"Example - Tentacat.Users.Followers.following?/3","type":"function"},{"doc":"Unfollow given user.","ref":"Tentacat.Users.Followers.html#unfollow/2","title":"Tentacat.Users.Followers.unfollow/2","type":"function"},{"doc":"Tentacat.Users.Followers.unfollow client, \"edgurgel\"\n\nMore info at: https://developer.github.com/v3/users/followers/#unfollow-a-user","ref":"Tentacat.Users.Followers.html#unfollow/2-example","title":"Example - Tentacat.Users.Followers.unfollow/2","type":"function"},{"doc":"","ref":"Tentacat.Users.Keys.html","title":"Tentacat.Users.Keys","type":"module"},{"doc":"Create a public key on the authorized user.","ref":"Tentacat.Users.Keys.html#create/3","title":"Tentacat.Users.Keys.create/3","type":"function"},{"doc":"Tentacat.Users.Keys.create(client, \"title\", \"ssh-rsa AAA...\")\n\nMore info at:http://developer.github.com/v3/users/keys/#create-a-public-key","ref":"Tentacat.Users.Keys.html#create/3-example","title":"Example - Tentacat.Users.Keys.create/3","type":"function"},{"doc":"Get a single public key of the authorized user.","ref":"Tentacat.Users.Keys.html#find/2","title":"Tentacat.Users.Keys.find/2","type":"function"},{"doc":"Tentacat.Users.Keys.find 1, client\n\nMore info at: http://developer.github.com/v3/users/keys/#get-a-single-public-key","ref":"Tentacat.Users.Keys.html#find/2-example","title":"Example - Tentacat.Users.Keys.find/2","type":"function"},{"doc":"List public keys for a user.","ref":"Tentacat.Users.Keys.html#list/2","title":"Tentacat.Users.Keys.list/2","type":"function"},{"doc":"Tentacat.Users.Keys.list \"bastos\"\n    Tentacat.Users.Keys.list client, \"bastos\"\n\nMore info at: http://developer.github.com/v3/users/keys/#list-public-keys-for-a-user and http://developer.github.com/v3/users/keys/#list-your-public-keys","ref":"Tentacat.Users.Keys.html#list/2-example","title":"Example - Tentacat.Users.Keys.list/2","type":"function"},{"doc":"List public keys for the authenticated user.","ref":"Tentacat.Users.Keys.html#list_mine/1","title":"Tentacat.Users.Keys.list_mine/1","type":"function"},{"doc":"Tentacat.Users.Keys.list_mine client\n\nMore info at: http://developer.github.com/v3/users/keys/#list-public-keys-for-a-user and http://developer.github.com/v3/users/keys/#list-your-public-keys","ref":"Tentacat.Users.Keys.html#list_mine/1-example","title":"Example - Tentacat.Users.Keys.list_mine/1","type":"function"},{"doc":"Delete a public from the authorized user.","ref":"Tentacat.Users.Keys.html#remove/2","title":"Tentacat.Users.Keys.remove/2","type":"function"},{"doc":"Tentacat.Users.Keys.remove client, 123\n\nMore info at: http://developer.github.com/v3/users/keys/#delete-a-public-key","ref":"Tentacat.Users.Keys.html#remove/2-example","title":"Example - Tentacat.Users.Keys.remove/2","type":"function"},{"doc":"Update a public key from the authorized user.","ref":"Tentacat.Users.Keys.html#update/4","title":"Tentacat.Users.Keys.update/4","type":"function"},{"doc":"Tentacat.Users.Keys.update(client, 123, \"title\", \"ssh-rsa ...\")\n\nMore info at: http://developer.github.com/v3/users/keys/#update-a-public-key","ref":"Tentacat.Users.Keys.html#update/4-example","title":"Example - Tentacat.Users.Keys.update/4","type":"function"},{"doc":"","ref":"Tentacat.Users.Projects.html","title":"Tentacat.Users.Projects","type":"module"},{"doc":"Create a new project for the authenticated user via passing a `client` with necessary credentials.\n\nPossible values for options:\n\n  * [name: \"name of project board\"]\n  * [body: \"description of the project\"]","ref":"Tentacat.Users.Projects.html#create/2","title":"Tentacat.Users.Projects.create/2","type":"function"},{"doc":"Tentacat.Users.Projects.create client, name: \"tentacat\", body: \"project board for tentacat\"\n\nMore info at: https://developer.github.com/v3/projects/#create-a-user-project","ref":"Tentacat.Users.Projects.html#create/2-example","title":"Example - Tentacat.Users.Projects.create/2","type":"function"},{"doc":"Lists the projects for a user.","ref":"Tentacat.Users.Projects.html#list/2","title":"Tentacat.Users.Projects.list/2","type":"function"},{"doc":"Tentacat.Organizations.Projects.list client, \"achiurizo\"\n\nMore info at: https://developer.github.com/v3/projects/#list-organization-projects","ref":"Tentacat.Users.Projects.html#list/2-example","title":"Example - Tentacat.Users.Projects.list/2","type":"function"},{"doc":"","ref":"Tentacat.Users.Starring.html","title":"Tentacat.Users.Starring","type":"module"},{"doc":"Star a given repository.","ref":"Tentacat.Users.Starring.html#star/3","title":"Tentacat.Users.Starring.star/3","type":"function"},{"doc":"Tentacat.Users.Starring.star client, \"elixir-lang\", \"elixir\"\n\nMore info at: https://developer.github.com/v3/activity/starring/#star-a-repository","ref":"Tentacat.Users.Starring.html#star/3-example","title":"Example - Tentacat.Users.Starring.star/3","type":"function"},{"doc":"Lists the people that have starred the repository.","ref":"Tentacat.Users.Starring.html#stargazers/3","title":"Tentacat.Users.Starring.stargazers/3","type":"function"},{"doc":"Tentacat.Users.Starring.stargazers client, \"edgurgel\", \"tentacat\"\n\nMore info at: https://developer.github.com/v3/activity/starring/#list-stargazers","ref":"Tentacat.Users.Starring.html#stargazers/3-example","title":"Example - Tentacat.Users.Starring.stargazers/3","type":"function"},{"doc":"List starred repositories for the authenticated user.","ref":"Tentacat.Users.Starring.html#starred/1","title":"Tentacat.Users.Starring.starred/1","type":"function"},{"doc":"Tentacat.Users.Starring.starred client\n\nMore info at: https://developer.github.com/v3/activity/starring/#list-repositories-being-starred","ref":"Tentacat.Users.Starring.html#starred/1-example","title":"Example - Tentacat.Users.Starring.starred/1","type":"function"},{"doc":"List starred repositories for given user.","ref":"Tentacat.Users.Starring.html#starred/2","title":"Tentacat.Users.Starring.starred/2","type":"function"},{"doc":"Tentacat.Users.Starring.starred client, \"edgurgel\"\n\nMore info at: https://developer.github.com/v3/activity/starring/#list-repositories-being-starred","ref":"Tentacat.Users.Starring.html#starred/2-example","title":"Example - Tentacat.Users.Starring.starred/2","type":"function"},{"doc":"Check if authenticated user is starred given repository.","ref":"Tentacat.Users.Starring.html#starred?/3","title":"Tentacat.Users.Starring.starred?/3","type":"function"},{"doc":"Tentacat.Users.Starring.starred? client, \"elixir-lang\", \"elixir\"\n\nMore info at: https://developer.github.com/v3/activity/starring/#check-if-you-are-starring-a-repository","ref":"Tentacat.Users.Starring.html#starred?/3-example","title":"Example - Tentacat.Users.Starring.starred?/3","type":"function"},{"doc":"Unstar a given repository.","ref":"Tentacat.Users.Starring.html#unstar/3","title":"Tentacat.Users.Starring.unstar/3","type":"function"},{"doc":"Tentacat.Users.Starring.unstar client, \"elixir-lang\", \"elixir\"\n\nMore info at: https://developer.github.com/v3/activity/starring/#unstar-a-repository","ref":"Tentacat.Users.Starring.html#unstar/3-example","title":"Example - Tentacat.Users.Starring.unstar/3","type":"function"},{"doc":"# MIT License\n\nCopyright (c) 2013 Eduardo Gurgel Pinho\n\nPermission is hereby granted, free of charge, to any person obtaining\na copy of this software and associated documentation files (the\n\"Software\"), to deal in the Software without restriction, including\nwithout limitation the rights to use, copy, modify, merge, publish,\ndistribute, sublicense, and/or sell copies of the Software, and to\npermit persons to whom the Software is furnished to do so, subject to\nthe following conditions:\n\nThe above copyright notice and this permission notice shall be\nincluded in all copies or substantial portions of the Software.\n\nTHE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND,\nEXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF\nMERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND\nNONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE\nLIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION\nOF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION\nWITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.","ref":"license.html","title":"License","type":"extras"},{"doc":"# Tentacat\n\n[![Build Status](https://travis-ci.org/edgurgel/tentacat.svg)](https://travis-ci.org/edgurgel/tentacat)\n[![Coverage Status](http://img.shields.io/coveralls/edgurgel/tentacat.svg)](https://coveralls.io/r/edgurgel/tentacat)\n[![Inline docs](http://inch-ci.org/github/edgurgel/tentacat.svg)](http://inch-ci.org/github/edgurgel/tentacat)\n[![Module Version](https://img.shields.io/hexpm/v/tentacat.svg)](https://hex.pm/packages/tentacat)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-lightgreen.svg)](https://hexdocs.pm/tentacat/)\n[![Total Download](https://img.shields.io/hexpm/dt/tentacat.svg)](https://hex.pm/packages/tentacat)\n[![License](https://img.shields.io/hexpm/l/tentacat.svg)](https://github.com/edgurgel/tentacat/blob/master/LICENSE)\n[![Last Updated](https://img.shields.io/github/last-commit/edgurgel/tentacat.svg)](https://github.com/edgurgel/tentacat/commits/master)\n\nSimple Elixir wrapper for the [GitHub API](http://developer.github.com/).\n\nTentacool + Cat = Tentacat","ref":"readme.html","title":"Overview","type":"extras"},{"doc":"* Gitignore\n* Contents\n* Trees\n* Projects\n* Issues\n  * Comments\n  * Events\n  * Labels\n* Pulls\n  * Comments\n  * Commits\n  * Files\n  * Reviews\n  * Review Requests\n* Organizations\n  * Members\n  * Teams\n  * Webhooks\n  * Projects\n* Teams\n  * Members\n* Users\n  * Emails\n  * Keys\n  * Projects\n* Repositories\n  * Webhooks\n  * Branches\n  * Statuses\n  * Deployments\n  * Collaborators\n  * Contributors\n  * Projects\n\nDocumentation can be found [here](https://hexdocs.pm/tentacat)","ref":"readme.html#features","title":"Features - Overview","type":"extras"},{"doc":"First, add Tentacat to your `mix.exs` dependencies:\n\n```elixir\ndef deps do\n  [\n    {:tentacat, \"~> 2.0\"}\n  ]\nend\n```\n\nFetching dependencies and running on elixir console:\n\n```console\nmix deps.get\niex -S mix\n```\n\nYou will something like this:\n\n```elixir\nErlang/OTP 17 [erts-6.0] [source] [64-bit] [smp:4:4] [async-threads:10] [hipe] [kernel-poll:false]\n\nInteractive Elixir (0.13.3) - press Ctrl+C to exit (type h() ENTER for help)\niex(1)>\n```\n\nNow you can run the examples!","ref":"readme.html#quickstart","title":"Quickstart - Overview","type":"extras"},{"doc":"Every call to GitHub needs a client, but if you want to use unauthenticated requests we will provide an unauthenticated client for you. Keep in mind that GitHub has different [rate-limits](https://developer.github.com/v3/#rate-limiting) if you authenticate or not.\n\nGetting info from a user using a client:\n\n```elixir\niex> client = Tentacat.Client.new\n%Tentacat.Client{auth: nil, endpoint: \"https://api.github.com/\"}\niex> Tentacat.Users.find client, \"edgurgel\"\n{200,\n %{\"avatar_url\" => \"https://avatars0.githubusercontent.com/u/30873?v=4\",\n   \"bio\" => \"INSUFFICIENT DATA FOR MEANINGFUL ANSWER\",\n   \"blog\" => \"http://gurgel.me\", \"company\" => nil,\n   \"created_at\" => \"2008-10-24T17:05:04Z\", \"email\" => nil,\n   \"events_url\" => \"https://api.github.com/users/edgurgel/events{/privacy}\",\n   \"followers\" => 220,\n   \"followers_url\" => \"https://api.github.com/users/edgurgel/followers\",\n   \"following\" => 75,\n   \"following_url\" => \"https://api.github.com/users/edgurgel/following{/other_user}\",\n   \"gists_url\" => \"https://api.github.com/users/edgurgel/gists{/gist_id}\",\n   \"gravatar_id\" => \"\", \"hireable\" => nil,\n   \"html_url\" => \"https://github.com/edgurgel\", \"id\" => 30873,\n   \"location\" => \"Wellington, New Zealand\", \"login\" => \"edgurgel\",\n   \"name\" => \"Eduardo Gurgel\",\n   \"organizations_url\" => \"https://api.github.com/users/edgurgel/orgs\",\n   \"public_gists\" => 13, \"public_repos\" => 59,\n   \"received_events_url\" => \"https://api.github.com/users/edgurgel/received_events\",\n   \"repos_url\" => \"https://api.github.com/users/edgurgel/repos\",\n   \"site_admin\" => false,\n   \"starred_url\" => \"https://api.github.com/users/edgurgel/starred{/owner}{/repo}\",\n   \"subscriptions_url\" => \"https://api.github.com/users/edgurgel/subscriptions\",\n   \"type\" => \"User\", \"updated_at\" => \"2018-02-05T23:24:42Z\",\n   \"url\" => \"https://api.github.com/users/edgurgel\"},\n %HTTPoison.Response{body: %{\"avatar_url\" => \"https://avatars0.githubusercontent.com/u/30873?v=4\",\n    \"bio\" => \"INSUFFICIENT DATA FOR MEANINGFUL ANSWER\",\n    \"blog\" => \"http://gurgel.me\", \"company\" => nil,\n    \"created_at\" => \"2008-10-24T17:05:04Z\", \"email\" => nil,\n    \"events_url\" => \"https://api.github.com/users/edgurgel/events{/privacy}\",\n    \"followers\" => 220,\n    \"followers_url\" => \"https://api.github.com/users/edgurgel/followers\",\n    \"following\" => 75,\n    \"following_url\" => \"https://api.github.com/users/edgurgel/following{/other_user}\",\n    \"gists_url\" => \"https://api.github.com/users/edgurgel/gists{/gist_id}\",\n    \"gravatar_id\" => \"\", \"hireable\" => nil,\n    \"html_url\" => \"https://github.com/edgurgel\", \"id\" => 30873,\n    \"location\" => \"Wellington, New Zealand\", \"login\" => \"edgurgel\",\n    \"name\" => \"Eduardo Gurgel\",\n    \"organizations_url\" => \"https://api.github.com/users/edgurgel/orgs\",\n    \"public_gists\" => 13, \"public_repos\" => 59,\n    \"received_events_url\" => \"https://api.github.com/users/edgurgel/received_events\",\n    \"repos_url\" => \"https://api.github.com/users/edgurgel/repos\",\n    \"site_admin\" => false,\n    \"starred_url\" => \"https://api.github.com/users/edgurgel/starred{/owner}{/repo}\",\n    \"subscriptions_url\" => \"https://api.github.com/users/edgurgel/subscriptions\",\n    \"type\" => \"User\", \"updated_at\" => \"2018-02-05T23:24:42Z\",\n    \"url\" => \"https://api.github.com/users/edgurgel\"},\n  headers: [{\"Date\", \"Mon, 05 Feb 2018 23:25:36 GMT\"},\n   {\"Content-Type\", \"application/json; charset=utf-8\"},\n   {\"Content-Length\", \"1187\"}, {\"Server\", \"GitHub.com\"}, {\"Status\", \"200 OK\"},\n   {\"X-RateLimit-Limit\", \"60\"}, {\"X-RateLimit-Remaining\", \"59\"},\n   {\"X-RateLimit-Reset\", \"1517876736\"},\n   {\"Cache-Control\", \"public, max-age=60, s-maxage=60\"}, {\"Vary\", \"Accept\"},\n   {\"ETag\", \"\\\"ec2653a252e614a96afacfaeb88d0c39\\\"\"},\n   {\"Last-Modified\", \"Mon, 05 Feb 2018 23:24:42 GMT\"},\n   {\"X-GitHub-Media-Type\", \"github.v3; format=json\"},\n   {\"Access-Control-Expose-Headers\",\n    \"ETag, Link, Retry-After, X-GitHub-OTP, X-RateLimit-Limit, X-RateLimit-Remaining, X-RateLimit-Reset, X-OAuth-Scopes, X-Accepted-OAuth-Scopes, X-Poll-Interval\"},\n   {\"Access-Control-Allow-Origin\", \"*\"},\n   {\"Content-Security-Policy\", \"default-src 'none'\"},\n   {\"Strict-Transport-Security\",\n    \"max-age=31536000; includeSubdomains; preload\"},\n   {\"X-Content-Type-Options\", \"nosniff\"}, {\"X-Frame-Options\", \"deny\"},\n   {\"X-XSS-Protection\", \"1; mode=block\"}, {\"X-Runtime-rack\", \"0.030182\"},\n   {\"Vary\", \"Accept-Encoding\"},\n   {\"X-GitHub-Request-Id\", \"054D:2BC4A:82C2C:A4560:5A78E7EF\"}],\n  request_url: \"https://api.github.com/users/edgurgel\", status_code: 200}}\n```\n\nGetting info from a user without a defined client:\n\n```elixir\niex> {200, data, _response} = Tentacat.Users.find(\"edgurgel\")\n\niex> get_in(data, [\"name\"])\n\"Eduardo Gurgel\"\n```\n\nGetting info from the authenticated user:\n\n* Using user and password:\n\n```elixir\niex> client = Tentacat.Client.new(%{user: \"user\", password: \"password\"})\n%Tentacat.Client{auth: %{user: \"user\", password: \"password\"}, endpoint: \"https://api.github.com/\"}\niex> Tentacat.Users.me(client)\n```\n\n* Using a personal access token [Github personal API token](https://github.com/blog/1509-personal-api-tokens):\n\n```elixir\niex> client = Tentacat.Client.new(%{access_token: \"928392873982932\"})\n%Tentacat.Client{auth: %{access_token: \"928392873982932\"}, endpoint: \"https://api.github.com/\"}\niex> Tentacat.Users.me(client)\n```\n\nAccessing another endpoint:\n\n```elixir\niex> client = Tentacat.Client.new(%{access_token: \"928392873982932\"}, \"https://ghe.example.com/api/v3/\")\n%Tentacat.Client{auth: %{access_token: \"928392873982932\"}, endpoint: \"https://ghe.example.com/api/v3/\"}\niex> Tentacat.Users.me(client)\n```","ref":"readme.html#examples","title":"Examples - Overview","type":"extras"},{"doc":"Having that Github Reviews API is still in a pre-release state\nyou need to set an additional header in your config.\n\n```elixir\nconfig :tentacat, :extra_headers, [{\"Accept\", \"application/vnd.github.black-cat-preview+json\"}]\n```\n\n#","ref":"readme.html#misc","title":"Misc - Overview","type":"extras"},{"doc":"You can pass deserialization options to the library used to decode JSON\nusing:\n\n```elixir\n# To have Atom keys\nconfig :tentacat, :deserialization_options, [keys: :atoms]\n```\n\nSee: https://hexdocs.pm/jason/Jason.html#decode/2-options for available options.","ref":"readme.html#deserialization-options","title":"Deserialization Options - Overview","type":"extras"},{"doc":"Start by forking this repo.\n\nThen run this command to fetch dependencies and run tests:\n\n```console\nMIX_ENV=test mix do deps.get, test\n```\n\nIf you are using Intellij and debugging the test suite - be sure to set `'INTELLIJ_ELIXIR_DEBUG_BLACKLIST=hackney'` in the Elixir Mix Eunit configuration - if you fail to do so the mocked hackney module will be reloaded from disk and tests will behave abnormally.\n\nPull requests are greatly appreciated.","ref":"readme.html#contributing","title":"Contributing - Overview","type":"extras"},{"doc":"Copyright (c) 2013 Eduardo Gurgel Pinho\n\nReleased under the MIT License, which can be found in the repository in\n[LICENSE.md](./LICENSE.md) file.","ref":"readme.html#copyright-and-license","title":"Copyright and License - Overview","type":"extras"},{"doc":"# Getting Started\n\nIn this guide we will walk step-by-step through the installation and basic usage of the Tentacat library.","ref":"getting_started.html","title":"Getting Started","type":"extras"},{"doc":"Add Tentacat to your project's `mix.exs` dependencies:\n\n```elixir\ndef deps do\n  [\n    {:tentacat, \"~> 1.0\"}\n  ]\nend\n```\n\n**Note for users of Elixir <1.3**: Ensure that `tentacat` is added as an application in `mix.exs`:\n\n```elixir\ndef application do\n  [\n    applications: [:tentacat]\n  ]\nend\n```\n\nFinally, fetch dependencies for your project:\n\n```\n$ mix deps.get\n```","ref":"getting_started.html#installation","title":"Installation - Getting Started","type":"extras"},{"doc":"Tentacat accepts a number of configuration options using the application environment:\n\n```elixir\nconfig :tentacat,\n  deserialization_options: [],\n  extra_headers: [],\n  pagination: [],\n  request_options: []\n```\n\n* `:deserialization_options`: List of options to be passed through `Jason.decode!/2`. See [the Jason documentation](https://hexdocs.pm/jason/Jason.html#decode/2-options) for more information.\n* `:extra_headers`: List of two-element tuples defining additional HTTP headers for `HTTPoison.request/5`. For alternative ways of specifying headers, see `t:HTTPoison.Base.headers/0`.\n* `:pagination`: Specifies the default method of pagination (can also be set on a per-request basis). See `Tentacat.get/4` for more information.\n* `:request_options`: Keyword list of options to be passed to `HTTPoison.request/5`.","ref":"getting_started.html#configuration","title":"Configuration - Getting Started","type":"extras"},{"doc":"Often, the first step in using Tentacat is to create a `%Tentacat.Client{}` struct. This struct will hold information about the endpoint to use and the method of authentication.\n\n#","ref":"getting_started.html#creating-the-client","title":"Creating the Client - Getting Started","type":"extras"},{"doc":"This option may not work for users with multi-factor authentication enabled on their GitHub account.\n\n```elixir\nclient = Tentacat.Client.new(%{user: \"user\", password: \"password\"})\n```\n\n#","ref":"getting_started.html#using-a-username-and-password","title":"Using a username and password - Getting Started","type":"extras"},{"doc":"To generate a GitHub API personal access token, visit your [GitHub settings](https://github.com/settings/tokens) and click **Generate new token**. Give the token a short description and ensure that it has all of the scopes necessary for the API calls you wish to make.\n\n```elixir\nclient = Tentacat.Client.new(%{access_token: \"928392873982932\"})\n```\n\n#","ref":"getting_started.html#using-a-personal-access-token","title":"Using a personal access token - Getting Started","type":"extras"},{"doc":"It is also possible to use Tentacat without specifying an authentication method. Please note that this will limit the API actions you are able to take. To do this, call each function without the `client` argument, i.e.\n\n```elixir\nTentacat.Users.find(\"edgurgel\")\n```\n\n#","ref":"getting_started.html#without-authentication","title":"Without authentication - Getting Started","type":"extras"},{"doc":"We may create a client for an endpoint other than the GitHub API:\n\n```elixir\nclient = Tentacat.Client.new(%{access_token: \"928392873982932\"}, \"https://ghe.example.com/api/v3/\")\n```","ref":"getting_started.html#connecting-to-an-alternative-endpoint","title":"Connecting to an alternative endpoint - Getting Started","type":"extras"},{"doc":"With a client struct created (or skipped), we are now ready to call the GitHub API. Following are a few examples:\n\n```elixir\n# Get a user's profile information.\nTentacat.Users.find(client, \"edgurgel\")\n\n# Create a comment on an issue.\nTentacat.Issues.Comments.create(\"edgurgel\", \"tentacat\", 72, %{\"body\" => \"This is a comment created using the API\"})\n```\n\nFor a full list of actions, see the [API Reference](api-reference.html).\n\n\n#","ref":"getting_started.html#calling-the-github-api","title":"Calling the GitHub API - Getting Started","type":"extras"},{"doc":"Note that the documentation for this library often does not give a comprehensive list of parameters that can be passed to the various endpoints. To see what the API will accept, use the [GitHub API Documentation](https://developer.github.com/).\n\nThe GitHub API often releases modifications to an endpoint as a preview. In order to use and endpoint in a preview state, additional headers are necessary in the request. See [API Previews](https://developer.github.com/v3/previews/) for information about the media type necessary to use a particular endpoint:\n\n```elixir\nconfig :tentacat,\n  extra_headers: [{\"Accept\", \"application/vnd.github.MEDIA-TYPE+json\"}]\n```","ref":"getting_started.html#things-to-keep-in-mind","title":"Things to keep in mind - Getting Started","type":"extras"}]}